// Type definitions for @carbon/icons-react 11.20
// Project: https://github.com/carbon-design-system/carbon/tree/master/packages/icons-react
// Definitions by: Eric Liu <https://github.com/metonym>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped
// TypeScript Version: 4.0

/** 2110 icons total */

export interface CarbonIconProps
  extends Omit<
    React.SVGProps<React.ReactSVGElement>,
    "ref" | "tabIndex" | "aria-hidden"
  > {
  /** @default 16 */
  size?: 16 | 20 | 24 | 32 | "16" | "20" | "24" | "32" | "glyph" | undefined;
  /** @default "http://www.w3.org/2000/svg" */
  xmlns?: string | undefined;
  /** @default "xMidYMid meet" */
  preserveAspectRatio?: string | undefined;
  "aria-hidden"?: string | undefined;
  "aria-label"?: string | undefined;
  "aria-labelledby"?: string | undefined;
  tabIndex?: string | undefined;
  title?: string | undefined;
  viewBox?: string | undefined;
}

export type CarbonIconType = React.ForwardRefExoticComponent<
    CarbonIconProps & React.RefAttributes<SVGSVGElement>
>;

export const WatsonHealth3DCursor: CarbonIconType;
export const WatsonHealth3DCursorAlt: CarbonIconType;
export const WatsonHealth3DCurveAutoColon: CarbonIconType;
export const WatsonHealth3DCurveAutoVessels: CarbonIconType;
export const WatsonHealth3DCurveManual: CarbonIconType;
export const WatsonHealth3DICa: CarbonIconType;
export const WatsonHealth3DMprToggle: CarbonIconType;
export const WatsonHealth3DPrintMesh: CarbonIconType;
export const WatsonHealth3DSoftware: CarbonIconType;
export const WatsonHealth3rdPartyConnected: CarbonIconType;
export const _4K: CarbonIconType;
export const _4KFilled: CarbonIconType;
export const Accessibility: CarbonIconType;
export const AccessibilityAlt: CarbonIconType;
export const AccessibilityColor: CarbonIconType;
export const AccessibilityColorFilled: CarbonIconType;
export const Account: CarbonIconType;
export const AccumulationIce: CarbonIconType;
export const AccumulationPrecipitation: CarbonIconType;
export const AccumulationRain: CarbonIconType;
export const AccumulationSnow: CarbonIconType;
export const Activity: CarbonIconType;
export const Add: CarbonIconType;
export const AddAlt: CarbonIconType;
export const AddFilled: CarbonIconType;
export const AddComment: CarbonIconType;
export const AgricultureAnalytics: CarbonIconType;
export const WatsonHealthAiResults: CarbonIconType;
export const WatsonHealthAiResultsHigh: CarbonIconType;
export const WatsonHealthAiResultsLow: CarbonIconType;
export const WatsonHealthAiResultsMedium: CarbonIconType;
export const WatsonHealthAiResultsUrgent: CarbonIconType;
export const WatsonHealthAiResultsVeryHigh: CarbonIconType;
export const WatsonHealthAiStatus: CarbonIconType;
export const WatsonHealthAiStatusComplete: CarbonIconType;
export const WatsonHealthAiStatusFailed: CarbonIconType;
export const WatsonHealthAiStatusInProgress: CarbonIconType;
export const WatsonHealthAiStatusQueued: CarbonIconType;
export const WatsonHealthAiStatusRejected: CarbonIconType;
export const AirlineDigitalGate: CarbonIconType;
export const AirlineManageGates: CarbonIconType;
export const AirlinePassengerCare: CarbonIconType;
export const AirlineRapidBoard: CarbonIconType;
export const Airplay: CarbonIconType;
export const AirplayFilled: CarbonIconType;
export const Airport_01: CarbonIconType;
export const Airport_02: CarbonIconType;
export const AirportLocation: CarbonIconType;
export const Alarm: CarbonIconType;
export const AlarmAdd: CarbonIconType;
export const AlarmSubtract: CarbonIconType;
export const AlignHorizontalCenter: CarbonIconType;
export const AlignHorizontalLeft: CarbonIconType;
export const AlignHorizontalRight: CarbonIconType;
export const AlignVerticalBottom: CarbonIconType;
export const AlignVerticalCenter: CarbonIconType;
export const AlignVerticalTop: CarbonIconType;
export const AlignBoxBottomCenter: CarbonIconType;
export const AlignBoxBottomLeft: CarbonIconType;
export const AlignBoxBottomRight: CarbonIconType;
export const AlignBoxMiddleCenter: CarbonIconType;
export const AlignBoxMiddleLeft: CarbonIconType;
export const AlignBoxMiddleRight: CarbonIconType;
export const AlignBoxTopCenter: CarbonIconType;
export const AlignBoxTopLeft: CarbonIconType;
export const AlignBoxTopRight: CarbonIconType;
export const Analytics: CarbonIconType;
export const AnalyticsCustom: CarbonIconType;
export const AnalyticsReference: CarbonIconType;
export const WatsonHealthAngle: CarbonIconType;
export const WatsonHealthAnnotationVisibility: CarbonIconType;
export const Aperture: CarbonIconType;
export const Api: CarbonIconType;
export const Api_1: CarbonIconType;
export const App: CarbonIconType;
export const AppConnectivity: CarbonIconType;
export const Apple: CarbonIconType;
export const AppleDash: CarbonIconType;
export const Application: CarbonIconType;
export const ApplicationMobile: CarbonIconType;
export const ApplicationVirtual: CarbonIconType;
export const ApplicationWeb: CarbonIconType;
export const Apps: CarbonIconType;
export const Archive: CarbonIconType;
export const Area: CarbonIconType;
export const AreaCustom: CarbonIconType;
export const Arrival: CarbonIconType;
export const WatsonHealthArrowAnnotation: CarbonIconType;
export const ArrowDown: CarbonIconType;
export const ArrowDownLeft: CarbonIconType;
export const ArrowDownRight: CarbonIconType;
export const ArrowLeft: CarbonIconType;
export const ArrowRight: CarbonIconType;
export const ArrowUp: CarbonIconType;
export const ArrowUpLeft: CarbonIconType;
export const ArrowUpRight: CarbonIconType;
export const ArrowShiftDown: CarbonIconType;
export const ArrowsHorizontal: CarbonIconType;
export const ArrowsVertical: CarbonIconType;
export const Asleep: CarbonIconType;
export const AsleepFilled: CarbonIconType;
export const Assembly: CarbonIconType;
export const AssemblyCluster: CarbonIconType;
export const AssemblyReference: CarbonIconType;
export const Asset: CarbonIconType;
export const AssetConfirm: CarbonIconType;
export const AssetDigitalTwin: CarbonIconType;
export const AssetView: CarbonIconType;
export const Asterisk: CarbonIconType;
export const At: CarbonIconType;
export const Attachment: CarbonIconType;
export const AudioConsole: CarbonIconType;
export const AugmentedReality: CarbonIconType;
export const WatsonHealthAutoScroll: CarbonIconType;
export const Automatic: CarbonIconType;
export const Autoscaling: CarbonIconType;
export const Awake: CarbonIconType;
export const Badge: CarbonIconType;
export const BaggageClaim: CarbonIconType;
export const Bar: CarbonIconType;
export const Barcode: CarbonIconType;
export const BareMetalServer: CarbonIconType;
export const BareMetalServer_01: CarbonIconType;
export const BareMetalServer_02: CarbonIconType;
export const QBarrier: CarbonIconType;
export const Basketball: CarbonIconType;
export const BastionHost: CarbonIconType;
export const Bat: CarbonIconType;
export const BatchJob: CarbonIconType;
export const BatchJobStep: CarbonIconType;
export const BatteryCharging: CarbonIconType;
export const BatteryEmpty: CarbonIconType;
export const BatteryFull: CarbonIconType;
export const BatteryHalf: CarbonIconType;
export const BatteryLow: CarbonIconType;
export const BatteryQuarter: CarbonIconType;
export const Bee: CarbonIconType;
export const BeeBat: CarbonIconType;
export const Beta: CarbonIconType;
export const Bicycle: CarbonIconType;
export const Binoculars: CarbonIconType;
export const QBlochSphere: CarbonIconType;
export const BlockStorage: CarbonIconType;
export const BlockStorageAlt: CarbonIconType;
export const Blockchain: CarbonIconType;
export const Blog: CarbonIconType;
export const Bluetooth: CarbonIconType;
export const BluetoothOff: CarbonIconType;
export const Book: CarbonIconType;
export const Bookmark: CarbonIconType;
export const BookmarkAdd: CarbonIconType;
export const BookmarkFilled: CarbonIconType;
export const Boolean: CarbonIconType;
export const Boot: CarbonIconType;
export const BootVolume: CarbonIconType;
export const BootVolumeAlt: CarbonIconType;
export const BorderBottom: CarbonIconType;
export const BorderFull: CarbonIconType;
export const BorderLeft: CarbonIconType;
export const BorderNone: CarbonIconType;
export const BorderRight: CarbonIconType;
export const BorderTop: CarbonIconType;
export const Bot: CarbonIconType;
export const Bottles_01: CarbonIconType;
export const Bottles_01Dash: CarbonIconType;
export const Bottles_02: CarbonIconType;
export const Bottles_02Dash: CarbonIconType;
export const BottlesContainer: CarbonIconType;
export const Box: CarbonIconType;
export const BoxExtraLarge: CarbonIconType;
export const BoxLarge: CarbonIconType;
export const BoxMedium: CarbonIconType;
export const BoxSmall: CarbonIconType;
export const BoxPlot: CarbonIconType;
export const Branch: CarbonIconType;
export const BreakingChange: CarbonIconType;
export const BrightnessContrast: CarbonIconType;
export const BringForward: CarbonIconType;
export const BringToFront: CarbonIconType;
export const WatsonHealthBrushFreehand: CarbonIconType;
export const WatsonHealthBrushPolygon: CarbonIconType;
export const BuildTool: CarbonIconType;
export const Building: CarbonIconType;
export const BuildingInsights_1: CarbonIconType;
export const BuildingInsights_2: CarbonIconType;
export const BuildingInsights_3: CarbonIconType;
export const Bullhorn: CarbonIconType;
export const Buoy: CarbonIconType;
export const Bus: CarbonIconType;
export const ButtonCentered: CarbonIconType;
export const ButtonFlushLeft: CarbonIconType;
export const CabinCare: CarbonIconType;
export const CabinCareAlert: CarbonIconType;
export const CabinCareAlt: CarbonIconType;
export const Cad: CarbonIconType;
export const Cafe: CarbonIconType;
export const Calculation: CarbonIconType;
export const CalculationAlt: CarbonIconType;
export const Calculator: CarbonIconType;
export const CalculatorCheck: CarbonIconType;
export const Calendar: CarbonIconType;
export const CalendarAdd: CarbonIconType;
export const CalendarAddAlt: CarbonIconType;
export const CalendarHeatMap: CarbonIconType;
export const CalendarSettings: CarbonIconType;
export const CalendarTools: CarbonIconType;
export const Calibrate: CarbonIconType;
export const Camera: CarbonIconType;
export const CameraAction: CarbonIconType;
export const Campsite: CarbonIconType;
export const Car: CarbonIconType;
export const CarFront: CarbonIconType;
export const Carbon: CarbonIconType;
export const CarbonUiBuilder: CarbonIconType;
export const CarbonAccounting: CarbonIconType;
export const CarbonForIbmDotcom: CarbonIconType;
export const CarbonForIbmProduct: CarbonIconType;
export const CaretDown: CarbonIconType;
export const CaretDownGlyph: CarbonIconType;
export const CaretLeft: CarbonIconType;
export const CaretLeftGlyph: CarbonIconType;
export const CaretRight: CarbonIconType;
export const CaretRightGlyph: CarbonIconType;
export const CaretSort: CarbonIconType;
export const CaretSortDown: CarbonIconType;
export const CaretSortUp: CarbonIconType;
export const CaretUp: CarbonIconType;
export const CaretUpGlyph: CarbonIconType;
export const CarouselHorizontal: CarbonIconType;
export const CarouselVertical: CarbonIconType;
export const Catalog: CarbonIconType;
export const CatalogPublish: CarbonIconType;
export const Categories: CarbonIconType;
export const Category: CarbonIconType;
export const CategoryAdd: CarbonIconType;
export const CategoryAnd: CarbonIconType;
export const CategoryNew: CarbonIconType;
export const CategoryNewEach: CarbonIconType;
export const CautionGlyph: CarbonIconType;
export const CautionInvertedGlyph: CarbonIconType;
export const QCcX: CarbonIconType;
export const WatsonHealthCdArchive: CarbonIconType;
export const WatsonHealthCdCreateArchive: CarbonIconType;
export const WatsonHealthCdCreateExchange: CarbonIconType;
export const Cda: CarbonIconType;
export const CellTower: CarbonIconType;
export const CenterCircle: CarbonIconType;
export const CenterSquare: CarbonIconType;
export const CenterToFit: CarbonIconType;
export const Certificate: CarbonIconType;
export const CertificateCheck: CarbonIconType;
export const ChangeCatalog: CarbonIconType;
export const CharacterDecimal: CarbonIconType;
export const CharacterFraction: CarbonIconType;
export const CharacterInteger: CarbonIconType;
export const CharacterLowerCase: CarbonIconType;
export const CharacterNegativeNumber: CarbonIconType;
export const CharacterSentenceCase: CarbonIconType;
export const CharacterUpperCase: CarbonIconType;
export const CharacterWholeNumber: CarbonIconType;
export const CharacterPatterns: CarbonIconType;
export const ChargingStation: CarbonIconType;
export const ChargingStationFilled: CarbonIconType;
export const Chart_3D: CarbonIconType;
export const ChartArea: CarbonIconType;
export const ChartAreaSmooth: CarbonIconType;
export const ChartAreaStepper: CarbonIconType;
export const ChartAverage: CarbonIconType;
export const ChartBar: CarbonIconType;
export const ChartBarFloating: CarbonIconType;
export const ChartBarOverlay: CarbonIconType;
export const ChartBarStacked: CarbonIconType;
export const ChartBarTarget: CarbonIconType;
export const ChartBubble: CarbonIconType;
export const ChartBubblePacked: CarbonIconType;
export const ChartBullet: CarbonIconType;
export const ChartCandlestick: CarbonIconType;
export const ChartClusterBar: CarbonIconType;
export const ChartColumn: CarbonIconType;
export const ChartColumnFloating: CarbonIconType;
export const ChartColumnTarget: CarbonIconType;
export const ChartCombo: CarbonIconType;
export const ChartComboStacked: CarbonIconType;
export const ChartCustom: CarbonIconType;
export const ChartErrorBar: CarbonIconType;
export const ChartErrorBarAlt: CarbonIconType;
export const ChartEvaluation: CarbonIconType;
export const ChartHighLow: CarbonIconType;
export const ChartHistogram: CarbonIconType;
export const ChartLine: CarbonIconType;
export const ChartLineData: CarbonIconType;
export const ChartLineSmooth: CarbonIconType;
export const ChartLogisticRegression: CarbonIconType;
export const ChartMarimekko: CarbonIconType;
export const ChartMaximum: CarbonIconType;
export const ChartMedian: CarbonIconType;
export const ChartMinimum: CarbonIconType;
export const ChartMultiLine: CarbonIconType;
export const ChartMultitype: CarbonIconType;
export const ChartNetwork: CarbonIconType;
export const ChartParallel: CarbonIconType;
export const ChartPie: CarbonIconType;
export const ChartPoint: CarbonIconType;
export const ChartPopulation: CarbonIconType;
export const ChartRadar: CarbonIconType;
export const ChartRadial: CarbonIconType;
export const ChartRelationship: CarbonIconType;
export const ChartRing: CarbonIconType;
export const ChartRiver: CarbonIconType;
export const ChartRose: CarbonIconType;
export const ChartScatter: CarbonIconType;
export const ChartSpiral: CarbonIconType;
export const ChartStacked: CarbonIconType;
export const ChartStepper: CarbonIconType;
export const ChartSunburst: CarbonIconType;
export const ChartTSne: CarbonIconType;
export const ChartTreemap: CarbonIconType;
export const ChartVennDiagram: CarbonIconType;
export const ChartViolinPlot: CarbonIconType;
export const ChartWaterfall: CarbonIconType;
export const ChartWinLoss: CarbonIconType;
export const Chat: CarbonIconType;
export const ChatLaunch: CarbonIconType;
export const ChatOff: CarbonIconType;
export const ChatOperational: CarbonIconType;
export const ChatBot: CarbonIconType;
export const Checkbox: CarbonIconType;
export const CheckboxChecked: CarbonIconType;
export const CheckboxCheckedFilled: CarbonIconType;
export const CheckboxIndeterminate: CarbonIconType;
export const CheckboxIndeterminateFilled: CarbonIconType;
export const Checkmark: CarbonIconType;
export const CheckmarkFilled: CarbonIconType;
export const CheckmarkFilledError: CarbonIconType;
export const CheckmarkFilledWarning: CarbonIconType;
export const CheckmarkOutline: CarbonIconType;
export const CheckmarkOutlineError: CarbonIconType;
export const CheckmarkOutlineWarning: CarbonIconType;
export const Chemistry: CarbonIconType;
export const ChemistryReference: CarbonIconType;
export const ChevronDown: CarbonIconType;
export const ChevronDownGlyph: CarbonIconType;
export const ChevronLeft: CarbonIconType;
export const ChevronLeftGlyph: CarbonIconType;
export const ChevronMini: CarbonIconType;
export const ChevronRight: CarbonIconType;
export const ChevronRightGlyph: CarbonIconType;
export const ChevronSort: CarbonIconType;
export const ChevronSortDown: CarbonIconType;
export const ChevronSortUp: CarbonIconType;
export const ChevronUp: CarbonIconType;
export const ChevronUpGlyph: CarbonIconType;
export const Chip: CarbonIconType;
export const Choices: CarbonIconType;
export const ChooseItem: CarbonIconType;
export const ChoroplethMap: CarbonIconType;
export const CicsCmas: CarbonIconType;
export const CicsDb2Connection: CarbonIconType;
export const CicsExplorer: CarbonIconType;
export const CicsProgram: CarbonIconType;
export const CicsSit: CarbonIconType;
export const CicsSitOverrides: CarbonIconType;
export const CicsSystemGroup: CarbonIconType;
export const CicsTransactionServerZos: CarbonIconType;
export const CicsWuiRegion: CarbonIconType;
export const CicsRegion: CarbonIconType;
export const CicsRegionAlt: CarbonIconType;
export const CicsRegionRouting: CarbonIconType;
export const CicsRegionTarget: CarbonIconType;
export const Cicsplex: CarbonIconType;
export const CircleFilled: CarbonIconType;
export const CircleSolid: CarbonIconType;
export const CircleDash: CarbonIconType;
export const CircleFillGlyph: CarbonIconType;
export const WatsonHealthCircleMeasurement: CarbonIconType;
export const CirclePacking: CarbonIconType;
export const CircleStrokeGlyph: CarbonIconType;
export const QCircuitComposer: CarbonIconType;
export const Classification: CarbonIconType;
export const ClassifierLanguage: CarbonIconType;
export const Clean: CarbonIconType;
export const Close: CarbonIconType;
export const CloseFilled: CarbonIconType;
export const CloseOutline: CarbonIconType;
export const ClosedCaption: CarbonIconType;
export const ClosedCaptionAlt: CarbonIconType;
export const ClosedCaptionFilled: CarbonIconType;
export const Cloud: CarbonIconType;
export const CloudAlerting: CarbonIconType;
export const CloudAuditing: CarbonIconType;
export const CloudDataOps: CarbonIconType;
export const CloudDownload: CarbonIconType;
export const CloudLogging: CarbonIconType;
export const CloudMonitoring: CarbonIconType;
export const CloudOffline: CarbonIconType;
export const CloudServiceManagement: CarbonIconType;
export const CloudUpload: CarbonIconType;
export const CloudApp: CarbonIconType;
export const CloudCeiling: CarbonIconType;
export const CloudFoundry_1: CarbonIconType;
export const CloudFoundry_2: CarbonIconType;
export const CloudRegistry: CarbonIconType;
export const CloudSatellite: CarbonIconType;
export const CloudSatelliteConfig: CarbonIconType;
export const CloudSatelliteLink: CarbonIconType;
export const CloudSatelliteServices: CarbonIconType;
export const CloudServices: CarbonIconType;
export const Cloudy: CarbonIconType;
export const WatsonHealthCobbAngle: CarbonIconType;
export const Code: CarbonIconType;
export const CodeHide: CarbonIconType;
export const CodeReference: CarbonIconType;
export const CodeSigningService: CarbonIconType;
export const Cognitive: CarbonIconType;
export const Collaborate: CarbonIconType;
export const CollapseAll: CarbonIconType;
export const CollapseCategories: CarbonIconType;
export const ColorPalette: CarbonIconType;
export const ColorSwitch: CarbonIconType;
export const Column: CarbonIconType;
export const ColumnDelete: CarbonIconType;
export const ColumnInsert: CarbonIconType;
export const ColumnDependency: CarbonIconType;
export const Commit: CarbonIconType;
export const CommunicationUnified: CarbonIconType;
export const Compare: CarbonIconType;
export const Compass: CarbonIconType;
export const QComposerEdit: CarbonIconType;
export const Concept: CarbonIconType;
export const ConditionPoint: CarbonIconType;
export const ConditionWaitPoint: CarbonIconType;
export const Connect: CarbonIconType;
export const ConnectRecursive: CarbonIconType;
export const ConnectReference: CarbonIconType;
export const ConnectSource: CarbonIconType;
export const ConnectTarget: CarbonIconType;
export const ConnectionReceive: CarbonIconType;
export const ConnectionSend: CarbonIconType;
export const ConnectionTwoWay: CarbonIconType;
export const ConnectionSignal: CarbonIconType;
export const ConnectionSignalOff: CarbonIconType;
export const Construction: CarbonIconType;
export const ContainerRegistry: CarbonIconType;
export const ContainerServices: CarbonIconType;
export const ContainerSoftware: CarbonIconType;
export const ContentDeliveryNetwork: CarbonIconType;
export const ContentView: CarbonIconType;
export const Continue: CarbonIconType;
export const ContinueFilled: CarbonIconType;
export const ContinuousDeployment: CarbonIconType;
export const ContinuousIntegration: CarbonIconType;
export const WatsonHealthContourDraw: CarbonIconType;
export const WatsonHealthContourEdit: CarbonIconType;
export const WatsonHealthContourFinding: CarbonIconType;
export const Contrast: CarbonIconType;
export const ConvertToCloud: CarbonIconType;
export const Cookie: CarbonIconType;
export const Copy: CarbonIconType;
export const CopyFile: CarbonIconType;
export const CopyLink: CarbonIconType;
export const Corn: CarbonIconType;
export const Corner: CarbonIconType;
export const Coronavirus: CarbonIconType;
export const Cost: CarbonIconType;
export const CostTotal: CarbonIconType;
export const Cough: CarbonIconType;
export const Course: CarbonIconType;
export const Covariate: CarbonIconType;
export const Credentials: CarbonIconType;
export const CriticalGlyph: CarbonIconType;
export const CriticalSeverityGlyph: CarbonIconType;
export const Crop: CarbonIconType;
export const CropGrowth: CarbonIconType;
export const CropHealth: CarbonIconType;
export const WatsonHealthCrossReference: CarbonIconType;
export const CrossTab: CarbonIconType;
export const Crossroads: CarbonIconType;
export const CrowdReport: CarbonIconType;
export const CrowdReportFilled: CarbonIconType;
export const Csv: CarbonIconType;
export const QCU1: CarbonIconType;
export const QCU3: CarbonIconType;
export const Cube: CarbonIconType;
export const CubeView: CarbonIconType;
export const Currency: CarbonIconType;
export const CurrencyBaht: CarbonIconType;
export const CurrencyDollar: CarbonIconType;
export const CurrencyEuro: CarbonIconType;
export const CurrencyLira: CarbonIconType;
export const CurrencyPound: CarbonIconType;
export const CurrencyRuble: CarbonIconType;
export const CurrencyRupee: CarbonIconType;
export const CurrencyShekel: CarbonIconType;
export const CurrencyWon: CarbonIconType;
export const CurrencyYen: CarbonIconType;
export const Cursor_1: CarbonIconType;
export const Cursor_2: CarbonIconType;
export const CustomerService: CarbonIconType;
export const Cut: CarbonIconType;
export const WatsonHealthCutInHalf: CarbonIconType;
export const CutOut: CarbonIconType;
export const QCY: CarbonIconType;
export const Cyclist: CarbonIconType;
export const QCZ: CarbonIconType;
export const Dashboard: CarbonIconType;
export const DashboardReference: CarbonIconType;
export const Data_1: CarbonIconType;
export const Data_2: CarbonIconType;
export const DataBase: CarbonIconType;
export const DataBaseAlt: CarbonIconType;
export const DataCategorical: CarbonIconType;
export const DataCenter: CarbonIconType;
export const DataCheck: CarbonIconType;
export const DataConnected: CarbonIconType;
export const DataError: CarbonIconType;
export const DataFormat: CarbonIconType;
export const DataReference: CarbonIconType;
export const DataRegular: CarbonIconType;
export const DataSet: CarbonIconType;
export const DataStructured: CarbonIconType;
export const DataUnstructured: CarbonIconType;
export const DataView: CarbonIconType;
export const DataViewAlt: CarbonIconType;
export const DataAccessor: CarbonIconType;
export const DataBackup: CarbonIconType;
export const DataBin: CarbonIconType;
export const DataBlob: CarbonIconType;
export const DataClass: CarbonIconType;
export const DataCollection: CarbonIconType;
export const DataDefinition: CarbonIconType;
export const DataDiode: CarbonIconType;
export const DataEnrichment: CarbonIconType;
export const DataEnrichmentAdd: CarbonIconType;
export const DataPlayer: CarbonIconType;
export const DataQualityDefinition: CarbonIconType;
export const DataRefinery: CarbonIconType;
export const DataRefineryReference: CarbonIconType;
export const DataShare: CarbonIconType;
export const DataTable: CarbonIconType;
export const DataTableReference: CarbonIconType;
export const DataVis_1: CarbonIconType;
export const DataVis_2: CarbonIconType;
export const DataVis_3: CarbonIconType;
export const DataVis_4: CarbonIconType;
export const DataVolume: CarbonIconType;
export const DataVolumeAlt: CarbonIconType;
export const DatabaseDatastax: CarbonIconType;
export const DatabaseElastic: CarbonIconType;
export const DatabaseEnterpriseDb2: CarbonIconType;
export const DatabaseEtcd: CarbonIconType;
export const DatabaseMongodb: CarbonIconType;
export const DatabasePostgreSql: CarbonIconType;
export const DatabaseRabbit: CarbonIconType;
export const DatabaseRedis: CarbonIconType;
export const Datastore: CarbonIconType;
export const Db2BufferPool: CarbonIconType;
export const Db2DataSharingGroup: CarbonIconType;
export const Db2Database: CarbonIconType;
export const Debug: CarbonIconType;
export const DecisionTree: CarbonIconType;
export const Delivery: CarbonIconType;
export const DeliveryAdd: CarbonIconType;
export const DeliveryParcel: CarbonIconType;
export const DeliveryTruck: CarbonIconType;
export const WatsonHealthDenominate: CarbonIconType;
export const Departure: CarbonIconType;
export const Deploy: CarbonIconType;
export const DeployRules: CarbonIconType;
export const DeploymentPattern: CarbonIconType;
export const DeploymentPolicy: CarbonIconType;
export const DeploymentUnitData: CarbonIconType;
export const DeploymentUnitExecution: CarbonIconType;
export const DeploymentUnitInstallation: CarbonIconType;
export const DeploymentUnitPresentation: CarbonIconType;
export const DeploymentUnitTechnicalData: CarbonIconType;
export const DeploymentUnitTechnicalExecution: CarbonIconType;
export const DeploymentUnitTechnicalInstallation: CarbonIconType;
export const DeploymentUnitTechnicalPresentation: CarbonIconType;
export const DeskAdjustable: CarbonIconType;
export const Development: CarbonIconType;
export const Devices: CarbonIconType;
export const DewPoint: CarbonIconType;
export const DewPointFilled: CarbonIconType;
export const Diagram: CarbonIconType;
export const DiagramReference: CarbonIconType;
export const DiamondFillGlyph: CarbonIconType;
export const WatsonHealthDicom_6000: CarbonIconType;
export const WatsonHealthDicomOverlay: CarbonIconType;
export const DirectLink: CarbonIconType;
export const DirectionBearRight_01: CarbonIconType;
export const DirectionBearRight_01Filled: CarbonIconType;
export const DirectionBearRight_02: CarbonIconType;
export const DirectionBearRight_02Filled: CarbonIconType;
export const DirectionCurve: CarbonIconType;
export const DirectionCurveFilled: CarbonIconType;
export const DirectionFork: CarbonIconType;
export const DirectionForkFilled: CarbonIconType;
export const DirectionLoopLeft: CarbonIconType;
export const DirectionLoopLeftFilled: CarbonIconType;
export const DirectionLoopRight: CarbonIconType;
export const DirectionLoopRightFilled: CarbonIconType;
export const DirectionMerge: CarbonIconType;
export const DirectionMergeFilled: CarbonIconType;
export const DirectionRight_01: CarbonIconType;
export const DirectionRight_01Filled: CarbonIconType;
export const DirectionRight_02: CarbonIconType;
export const DirectionRight_02Filled: CarbonIconType;
export const DirectionRotaryFirstRight: CarbonIconType;
export const DirectionRotaryFirstRightFilled: CarbonIconType;
export const DirectionRotaryRight: CarbonIconType;
export const DirectionRotaryRightFilled: CarbonIconType;
export const DirectionRotaryStraight: CarbonIconType;
export const DirectionRotaryStraightFilled: CarbonIconType;
export const DirectionSharpTurn: CarbonIconType;
export const DirectionSharpTurnFilled: CarbonIconType;
export const DirectionStraight: CarbonIconType;
export const DirectionStraightFilled: CarbonIconType;
export const DirectionStraightRight: CarbonIconType;
export const DirectionStraightRightFilled: CarbonIconType;
export const DirectionUTurn: CarbonIconType;
export const DirectionUTurnFilled: CarbonIconType;
export const DirectoryDomain: CarbonIconType;
export const DistributeHorizontalCenter: CarbonIconType;
export const DistributeHorizontalLeft: CarbonIconType;
export const DistributeHorizontalRight: CarbonIconType;
export const DistributeVerticalBottom: CarbonIconType;
export const DistributeVerticalCenter: CarbonIconType;
export const DistributeVerticalTop: CarbonIconType;
export const WatsonHealthDna: CarbonIconType;
export const DnsServices: CarbonIconType;
export const Doc: CarbonIconType;
export const Document: CarbonIconType;
export const DocumentAdd: CarbonIconType;
export const DocumentAttachment: CarbonIconType;
export const DocumentAudio: CarbonIconType;
export const DocumentBlank: CarbonIconType;
export const DocumentDownload: CarbonIconType;
export const DocumentEpdf: CarbonIconType;
export const DocumentExport: CarbonIconType;
export const DocumentHorizontal: CarbonIconType;
export const DocumentImport: CarbonIconType;
export const DocumentMultiple_01: CarbonIconType;
export const DocumentMultiple_02: CarbonIconType;
export const DocumentPdf: CarbonIconType;
export const DocumentPreliminary: CarbonIconType;
export const DocumentProtected: CarbonIconType;
export const DocumentSecurity: CarbonIconType;
export const DocumentSigned: CarbonIconType;
export const DocumentSketch: CarbonIconType;
export const DocumentSubtract: CarbonIconType;
export const DocumentTasks: CarbonIconType;
export const DocumentUnknown: CarbonIconType;
export const DocumentUnprotected: CarbonIconType;
export const DocumentVertical: CarbonIconType;
export const DocumentVideo: CarbonIconType;
export const DocumentView: CarbonIconType;
export const DocumentWordProcessor: CarbonIconType;
export const DocumentWordProcessorReference: CarbonIconType;
export const DocumentSentiment: CarbonIconType;
export const DogWalker: CarbonIconType;
export const DotMark: CarbonIconType;
export const DoubleInteger: CarbonIconType;
export const DownToBottom: CarbonIconType;
export const Download: CarbonIconType;
export const WatsonHealthDownloadStudy: CarbonIconType;
export const DragHorizontal: CarbonIconType;
export const DragVertical: CarbonIconType;
export const Draggable: CarbonIconType;
export const Draw: CarbonIconType;
export const DrillBack: CarbonIconType;
export const DrillDown: CarbonIconType;
export const DrillThrough: CarbonIconType;
export const Drink_01: CarbonIconType;
export const Drink_02: CarbonIconType;
export const DriverAnalysis: CarbonIconType;
export const Drone: CarbonIconType;
export const DroneDelivery: CarbonIconType;
export const DroneFront: CarbonIconType;
export const DroneVideo: CarbonIconType;
export const DropPhoto: CarbonIconType;
export const DropPhotoFilled: CarbonIconType;
export const Drought: CarbonIconType;
export const Dvr: CarbonIconType;
export const Earth: CarbonIconType;
export const EarthAmericas: CarbonIconType;
export const EarthAmericasFilled: CarbonIconType;
export const EarthEuropeAfrica: CarbonIconType;
export const EarthEuropeAfricaFilled: CarbonIconType;
export const EarthFilled: CarbonIconType;
export const EarthSoutheastAsia: CarbonIconType;
export const EarthSoutheastAsiaFilled: CarbonIconType;
export const Earthquake: CarbonIconType;
export const EdgeCluster: CarbonIconType;
export const EdgeDevice: CarbonIconType;
export const WatsonHealthEdgeEnhancement: CarbonIconType;
export const WatsonHealthEdgeEnhancement_01: CarbonIconType;
export const WatsonHealthEdgeEnhancement_02: CarbonIconType;
export const WatsonHealthEdgeEnhancement_03: CarbonIconType;
export const EdgeNode: CarbonIconType;
export const EdgeNodeAlt: CarbonIconType;
export const EdgeService: CarbonIconType;
export const Edit: CarbonIconType;
export const EditOff: CarbonIconType;
export const EdtLoop: CarbonIconType;
export const Education: CarbonIconType;
export const Email: CarbonIconType;
export const EmailNew: CarbonIconType;
export const Encryption: CarbonIconType;
export const EnergyRenewable: CarbonIconType;
export const Enterprise: CarbonIconType;
export const Equalizer: CarbonIconType;
export const Erase: CarbonIconType;
export const WatsonHealthErase_3D: CarbonIconType;
export const Error: CarbonIconType;
export const ErrorFilled: CarbonIconType;
export const ErrorOutline: CarbonIconType;
export const Event: CarbonIconType;
export const EventSchedule: CarbonIconType;
export const Events: CarbonIconType;
export const EventsAlt: CarbonIconType;
export const ExamMode: CarbonIconType;
export const ExecutableProgram: CarbonIconType;
export const Exit: CarbonIconType;
export const ExpandAll: CarbonIconType;
export const ExpandCategories: CarbonIconType;
export const Explore: CarbonIconType;
export const Export: CarbonIconType;
export const Eyedropper: CarbonIconType;
export const FaceActivated: CarbonIconType;
export const FaceActivatedAdd: CarbonIconType;
export const FaceActivatedFilled: CarbonIconType;
export const FaceAdd: CarbonIconType;
export const FaceCool: CarbonIconType;
export const FaceDissatisfied: CarbonIconType;
export const FaceDissatisfiedFilled: CarbonIconType;
export const FaceDizzy: CarbonIconType;
export const FaceDizzyFilled: CarbonIconType;
export const FaceMask: CarbonIconType;
export const FaceNeutral: CarbonIconType;
export const FaceNeutralFilled: CarbonIconType;
export const FacePending: CarbonIconType;
export const FacePendingFilled: CarbonIconType;
export const FaceSatisfied: CarbonIconType;
export const FaceSatisfiedFilled: CarbonIconType;
export const FaceWink: CarbonIconType;
export const FaceWinkFilled: CarbonIconType;
export const Factor: CarbonIconType;
export const Fade: CarbonIconType;
export const Favorite: CarbonIconType;
export const FavoriteFilled: CarbonIconType;
export const FavoriteHalf: CarbonIconType;
export const FetchUpload: CarbonIconType;
export const FetchUploadCloud: CarbonIconType;
export const FileStorage: CarbonIconType;
export const Filter: CarbonIconType;
export const FilterEdit: CarbonIconType;
export const FilterRemove: CarbonIconType;
export const FilterReset: CarbonIconType;
export const Finance: CarbonIconType;
export const FingerprintRecognition: CarbonIconType;
export const Fire: CarbonIconType;
export const Firewall: CarbonIconType;
export const FirewallClassic: CarbonIconType;
export const Fish: CarbonIconType;
export const FishMultiple: CarbonIconType;
export const FitToHeight: CarbonIconType;
export const FitToScreen: CarbonIconType;
export const FitToWidth: CarbonIconType;
export const Flag: CarbonIconType;
export const FlagFilled: CarbonIconType;
export const FlaggingTaxi: CarbonIconType;
export const Flash: CarbonIconType;
export const FlashFilled: CarbonIconType;
export const FlashOff: CarbonIconType;
export const FlashOffFilled: CarbonIconType;
export const FlightInternational: CarbonIconType;
export const FlightRoster: CarbonIconType;
export const FlightSchedule: CarbonIconType;
export const FloatingIp: CarbonIconType;
export const Flood: CarbonIconType;
export const FloodWarning: CarbonIconType;
export const Floorplan: CarbonIconType;
export const Flow: CarbonIconType;
export const FlowConnection: CarbonIconType;
export const FlowData: CarbonIconType;
export const FlowModeler: CarbonIconType;
export const FlowModelerReference: CarbonIconType;
export const FlowStream: CarbonIconType;
export const FlowStreamReference: CarbonIconType;
export const FlowLogsVpc: CarbonIconType;
export const Fog: CarbonIconType;
export const Folder: CarbonIconType;
export const FolderAdd: CarbonIconType;
export const FolderDetails: CarbonIconType;
export const FolderDetailsReference: CarbonIconType;
export const FolderMoveTo: CarbonIconType;
export const FolderOff: CarbonIconType;
export const FolderOpen: CarbonIconType;
export const FolderParent: CarbonIconType;
export const FolderShared: CarbonIconType;
export const Folders: CarbonIconType;
export const ForecastHail: CarbonIconType;
export const ForecastHail_30: CarbonIconType;
export const ForecastLightning: CarbonIconType;
export const ForecastLightning_30: CarbonIconType;
export const Fork: CarbonIconType;
export const Forum: CarbonIconType;
export const Forward_10: CarbonIconType;
export const Forward_30: CarbonIconType;
export const Forward_5: CarbonIconType;
export const Fragile: CarbonIconType;
export const Friendship: CarbonIconType;
export const FruitBowl: CarbonIconType;
export const Function: CarbonIconType;
export const FunctionMath: CarbonIconType;
export const WatsonHealthFusionBlender: CarbonIconType;
export const GameConsole: CarbonIconType;
export const GameWireless: CarbonIconType;
export const Gamification: CarbonIconType;
export const GasStation: CarbonIconType;
export const GasStationFilled: CarbonIconType;
export const Gateway: CarbonIconType;
export const GatewayApi: CarbonIconType;
export const GatewayMail: CarbonIconType;
export const GatewayPublic: CarbonIconType;
export const GatewaySecurity: CarbonIconType;
export const GatewayUserAccess: CarbonIconType;
export const GatewayVpn: CarbonIconType;
export const GenderFemale: CarbonIconType;
export const GenderMale: CarbonIconType;
export const GeneratePdf: CarbonIconType;
export const Gif: CarbonIconType;
export const Gift: CarbonIconType;
export const Globe: CarbonIconType;
export const Gradient: CarbonIconType;
export const GraphicalDataFlow: CarbonIconType;
export const Grid: CarbonIconType;
export const Group: CarbonIconType;
export const GroupAccess: CarbonIconType;
export const GroupAccount: CarbonIconType;
export const GroupPresentation: CarbonIconType;
export const GroupResource: CarbonIconType;
export const GroupSecurity: CarbonIconType;
export const GroupObjects: CarbonIconType;
export const GroupObjectsNew: CarbonIconType;
export const GroupObjectsSave: CarbonIconType;
export const Growth: CarbonIconType;
export const Gui: CarbonIconType;
export const GuiManagement: CarbonIconType;
export const QH: CarbonIconType;
export const Hail: CarbonIconType;
export const WatsonHealthHangingProtocol: CarbonIconType;
export const Harbor: CarbonIconType;
export const HardwareSecurityModule: CarbonIconType;
export const Hashtag: CarbonIconType;
export const Haze: CarbonIconType;
export const HazeNight: CarbonIconType;
export const Hd: CarbonIconType;
export const HdFilled: CarbonIconType;
export const Hdr: CarbonIconType;
export const Headphones: CarbonIconType;
export const Headset: CarbonIconType;
export const HealthCross: CarbonIconType;
export const Hearing: CarbonIconType;
export const HeatMap: CarbonIconType;
export const HeatMap_02: CarbonIconType;
export const HeatMap_03: CarbonIconType;
export const HeatMapStocks: CarbonIconType;
export const Helicopter: CarbonIconType;
export const Help: CarbonIconType;
export const HelpFilled: CarbonIconType;
export const HelpDesk: CarbonIconType;
export const QHintonPlot: CarbonIconType;
export const WatsonHealthHl7Attributes: CarbonIconType;
export const WatsonHealthHoleFilling: CarbonIconType;
export const WatsonHealthHoleFillingCursor: CarbonIconType;
export const Home: CarbonIconType;
export const HorizontalView: CarbonIconType;
export const Hospital: CarbonIconType;
export const HospitalBed: CarbonIconType;
export const Hotel: CarbonIconType;
export const Hourglass: CarbonIconType;
export const Html: CarbonIconType;
export const HtmlReference: CarbonIconType;
export const Http: CarbonIconType;
export const Humidity: CarbonIconType;
export const HumidityAlt: CarbonIconType;
export const Hurricane: CarbonIconType;
export const HybridNetworking: CarbonIconType;
export const HybridNetworkingAlt: CarbonIconType;
export const IbmBluepay: CarbonIconType;
export const IbmContentServices: CarbonIconType;
export const IbmDataReplication: CarbonIconType;
export const IbmDatastage: CarbonIconType;
export const IbmDb2: CarbonIconType;
export const IbmDb2Alt: CarbonIconType;
export const IbmMatch_360: CarbonIconType;
export const IbmMq: CarbonIconType;
export const IbmOpenEnterpriseLanguages: CarbonIconType;
export const IbmOpenshiftContainerPlatformOnVpcForRegulatedIndustries: CarbonIconType;
export const IbmPowerVs: CarbonIconType;
export const IbmPowerWithVpc: CarbonIconType;
export const IbmPrivatePathServices: CarbonIconType;
export const IbmProcessMining: CarbonIconType;
export const IbmSapOnPower: CarbonIconType;
export const IbmSecureInfrastructureOnVpcForRegulatedIndustries: CarbonIconType;
export const IbmTelehealth: CarbonIconType;
export const IbmTenet: CarbonIconType;
export const IbmToolchain: CarbonIconType;
export const IbmVsiOnVpcForRegulatedIndustries: CarbonIconType;
export const IbmCloud: CarbonIconType;
export const IbmCloudAppId: CarbonIconType;
export const IbmCloudCitrixDaas: CarbonIconType;
export const IbmCloudContinuousDelivery: CarbonIconType;
export const IbmCloudDedicatedHost: CarbonIconType;
export const IbmCloudDirectLink_1Connect: CarbonIconType;
export const IbmCloudDirectLink_1Dedicated: CarbonIconType;
export const IbmCloudDirectLink_1DedicatedHosting: CarbonIconType;
export const IbmCloudDirectLink_1Exchange: CarbonIconType;
export const IbmCloudDirectLink_2Connect: CarbonIconType;
export const IbmCloudDirectLink_2Dedicated: CarbonIconType;
export const IbmCloudDirectLink_2DedicatedHosting: CarbonIconType;
export const IbmCloudEventNotification: CarbonIconType;
export const IbmCloudEventStreams: CarbonIconType;
export const IbmCloudForEducation: CarbonIconType;
export const IbmCloudHsm: CarbonIconType;
export const IbmCloudHyperProtectCryptoServices: CarbonIconType;
export const IbmCloudHyperProtectDbaas: CarbonIconType;
export const IbmCloudHyperProtectVs: CarbonIconType;
export const IbmCloudInternetServices: CarbonIconType;
export const IbmCloudIpsecVpn: CarbonIconType;
export const IbmCloudKeyProtect: CarbonIconType;
export const IbmCloudKubernetesService: CarbonIconType;
export const IbmCloudLogging: CarbonIconType;
export const IbmCloudMassDataMigration: CarbonIconType;
export const IbmCloudPal: CarbonIconType;
export const IbmCloudPrivilegedAccessGateway: CarbonIconType;
export const IbmCloudProjects: CarbonIconType;
export const IbmCloudResiliency: CarbonIconType;
export const IbmCloudSecretsManager: CarbonIconType;
export const IbmCloudSecurityComplianceCenter: CarbonIconType;
export const IbmCloudSecurityComplianceCenterWorkloadProtection: CarbonIconType;
export const IbmCloudSubnets: CarbonIconType;
export const IbmCloudSysdigSecure: CarbonIconType;
export const IbmCloudTransitGateway: CarbonIconType;
export const IbmCloudVpcEndpoints: CarbonIconType;
export const IbmCloudPakApplications: CarbonIconType;
export const IbmCloudPakBusinessAutomation: CarbonIconType;
export const IbmCloudPakData: CarbonIconType;
export const IbmCloudPakIntegration: CarbonIconType;
export const IbmCloudPakMantaAutomatedDataLineage: CarbonIconType;
export const IbmCloudPakMulticloudMgmt: CarbonIconType;
export const IbmCloudPakNetezza: CarbonIconType;
export const IbmCloudPakNetworkAutomation: CarbonIconType;
export const IbmCloudPakSecurity: CarbonIconType;
export const IbmCloudPakSystem: CarbonIconType;
export const IbmCloudPakWatsonAiops: CarbonIconType;
export const IbmSecurity: CarbonIconType;
export const IbmSecurityServices: CarbonIconType;
export const IbmWatsonAssistant: CarbonIconType;
export const IbmWatsonDiscovery: CarbonIconType;
export const IbmWatsonKnowledgeCatalog: CarbonIconType;
export const IbmWatsonKnowledgeStudio: CarbonIconType;
export const IbmWatsonLanguageTranslator: CarbonIconType;
export const IbmWatsonMachineLearning: CarbonIconType;
export const IbmWatsonNaturalLanguageClassifier: CarbonIconType;
export const IbmWatsonNaturalLanguageUnderstanding: CarbonIconType;
export const IbmWatsonOpenscale: CarbonIconType;
export const IbmWatsonOrders: CarbonIconType;
export const IbmWatsonQuery: CarbonIconType;
export const IbmWatsonSpeechToText: CarbonIconType;
export const IbmWatsonStudio: CarbonIconType;
export const IbmWatsonTextToSpeech: CarbonIconType;
export const IbmWatsonToneAnalyzer: CarbonIconType;
export const IbmZCloudModStack: CarbonIconType;
export const IbmZEnvironmentsDevSecOps: CarbonIconType;
export const IbmZCloudProvisioning: CarbonIconType;
export const IbmZOsAiControlInterface: CarbonIconType;
export const IbmZOsContainers: CarbonIconType;
export const IbmZOsPackageManager: CarbonIconType;
export const WatsonHealthICa_2D: CarbonIconType;
export const IceAccretion: CarbonIconType;
export const IceVision: CarbonIconType;
export const QID: CarbonIconType;
export const IdManagement: CarbonIconType;
export const Idea: CarbonIconType;
export const Identification: CarbonIconType;
export const Image: CarbonIconType;
export const ImageCopy: CarbonIconType;
export const ImageMedical: CarbonIconType;
export const ImageReference: CarbonIconType;
export const ImageSearch: CarbonIconType;
export const ImageSearchAlt: CarbonIconType;
export const WatsonHealthImageAvailabilityLocal: CarbonIconType;
export const WatsonHealthImageAvailabilityRetrieving: CarbonIconType;
export const WatsonHealthImageAvailabilityUnavailable: CarbonIconType;
export const ImageService: CarbonIconType;
export const ImportExport: CarbonIconType;
export const ImproveRelevance: CarbonIconType;
export const InProgress: CarbonIconType;
export const InProgressError: CarbonIconType;
export const InProgressWarning: CarbonIconType;
export const Incomplete: CarbonIconType;
export const IncompleteGlyph: CarbonIconType;
export const IncompleteCancel: CarbonIconType;
export const IncompleteError: CarbonIconType;
export const IncompleteWarning: CarbonIconType;
export const IncreaseLevel: CarbonIconType;
export const Industry: CarbonIconType;
export const Information: CarbonIconType;
export const InformationDisabled: CarbonIconType;
export const InformationFilled: CarbonIconType;
export const InformationSquare: CarbonIconType;
export const InformationSquareFilled: CarbonIconType;
export const InfrastructureClassic: CarbonIconType;
export const Insert: CarbonIconType;
export const InsertPage: CarbonIconType;
export const InsertSyntax: CarbonIconType;
export const Inspection: CarbonIconType;
export const InstanceBx: CarbonIconType;
export const InstanceClassic: CarbonIconType;
export const InstanceCx: CarbonIconType;
export const InstanceMx: CarbonIconType;
export const InstanceVirtual: CarbonIconType;
export const Integration: CarbonIconType;
export const IntentRequestActive: CarbonIconType;
export const IntentRequestCreate: CarbonIconType;
export const IntentRequestHeal: CarbonIconType;
export const IntentRequestInactive: CarbonIconType;
export const IntentRequestScaleIn: CarbonIconType;
export const IntentRequestScaleOut: CarbonIconType;
export const IntentRequestUninstall: CarbonIconType;
export const IntentRequestUpgrade: CarbonIconType;
export const Interactions: CarbonIconType;
export const WatsonHealthInteractiveSegmentationCursor: CarbonIconType;
export const Intersect: CarbonIconType;
export const IntrusionPrevention: CarbonIconType;
export const InventoryManagement: CarbonIconType;
export const IotConnect: CarbonIconType;
export const IotPlatform: CarbonIconType;
export const Iso: CarbonIconType;
export const IsoFilled: CarbonIconType;
export const IsoOutline: CarbonIconType;
export const JoinFull: CarbonIconType;
export const JoinInner: CarbonIconType;
export const JoinLeft: CarbonIconType;
export const JoinOuter: CarbonIconType;
export const JoinRight: CarbonIconType;
export const Jpg: CarbonIconType;
export const Json: CarbonIconType;
export const JsonReference: CarbonIconType;
export const JumpLink: CarbonIconType;
export const KeepDry: CarbonIconType;
export const Keyboard: CarbonIconType;
export const KeyboardOff: CarbonIconType;
export const Kubernetes: CarbonIconType;
export const Label: CarbonIconType;
export const Language: CarbonIconType;
export const Laptop: CarbonIconType;
export const Lasso: CarbonIconType;
export const LassoPolygon: CarbonIconType;
export const Launch: CarbonIconType;
export const WatsonHealthLaunchStudy_1: CarbonIconType;
export const WatsonHealthLaunchStudy_2: CarbonIconType;
export const WatsonHealthLaunchStudy_3: CarbonIconType;
export const Layers: CarbonIconType;
export const Legend: CarbonIconType;
export const LetterAa: CarbonIconType;
export const LetterBb: CarbonIconType;
export const LetterCc: CarbonIconType;
export const LetterDd: CarbonIconType;
export const LetterEe: CarbonIconType;
export const LetterFf: CarbonIconType;
export const LetterGg: CarbonIconType;
export const LetterHh: CarbonIconType;
export const LetterIi: CarbonIconType;
export const LetterJj: CarbonIconType;
export const LetterKk: CarbonIconType;
export const LetterLl: CarbonIconType;
export const LetterMm: CarbonIconType;
export const LetterNn: CarbonIconType;
export const LetterOo: CarbonIconType;
export const LetterPp: CarbonIconType;
export const LetterQq: CarbonIconType;
export const LetterRr: CarbonIconType;
export const LetterSs: CarbonIconType;
export const LetterTt: CarbonIconType;
export const LetterUu: CarbonIconType;
export const LetterVv: CarbonIconType;
export const LetterWw: CarbonIconType;
export const LetterXx: CarbonIconType;
export const LetterYy: CarbonIconType;
export const LetterZz: CarbonIconType;
export const License: CarbonIconType;
export const LicenseDraft: CarbonIconType;
export const LicenseGlobal: CarbonIconType;
export const LicenseMaintenance: CarbonIconType;
export const LicenseMaintenanceDraft: CarbonIconType;
export const LicenseThirdParty: CarbonIconType;
export const LicenseThirdPartyDraft: CarbonIconType;
export const Lifesaver: CarbonIconType;
export const Light: CarbonIconType;
export const LightFilled: CarbonIconType;
export const Lightning: CarbonIconType;
export const Link: CarbonIconType;
export const Linux: CarbonIconType;
export const LinuxAlt: CarbonIconType;
export const List: CarbonIconType;
export const ListBoxes: CarbonIconType;
export const ListBulleted: CarbonIconType;
export const ListChecked: CarbonIconType;
export const ListCheckedMirror: CarbonIconType;
export const ListDropdown: CarbonIconType;
export const ListNumbered: CarbonIconType;
export const ListNumberedMirror: CarbonIconType;
export const LoadBalancerApplication: CarbonIconType;
export const LoadBalancerClassic: CarbonIconType;
export const LoadBalancerGlobal: CarbonIconType;
export const LoadBalancerListener: CarbonIconType;
export const LoadBalancerLocal: CarbonIconType;
export const LoadBalancerNetwork: CarbonIconType;
export const LoadBalancerPool: CarbonIconType;
export const LoadBalancerVpc: CarbonIconType;
export const Location: CarbonIconType;
export const LocationCompany: CarbonIconType;
export const LocationCompanyFilled: CarbonIconType;
export const LocationCurrent: CarbonIconType;
export const LocationFilled: CarbonIconType;
export const LocationHazard: CarbonIconType;
export const LocationHazardFilled: CarbonIconType;
export const LocationHeart: CarbonIconType;
export const LocationHeartFilled: CarbonIconType;
export const LocationPerson: CarbonIconType;
export const LocationPersonFilled: CarbonIconType;
export const LocationSave: CarbonIconType;
export const LocationStar: CarbonIconType;
export const LocationStarFilled: CarbonIconType;
export const Locked: CarbonIconType;
export const LogicalPartition: CarbonIconType;
export const Login: CarbonIconType;
export const LogoAngular: CarbonIconType;
export const LogoAnsibleCommunity: CarbonIconType;
export const LogoDigg: CarbonIconType;
export const LogoDiscord: CarbonIconType;
export const LogoFacebook: CarbonIconType;
export const LogoFigma: CarbonIconType;
export const LogoFlickr: CarbonIconType;
export const LogoGithub: CarbonIconType;
export const LogoGlassdoor: CarbonIconType;
export const LogoInstagram: CarbonIconType;
export const LogoInvision: CarbonIconType;
export const LogoJupyter: CarbonIconType;
export const LogoKeybase: CarbonIconType;
export const LogoKubernetes: CarbonIconType;
export const LogoLinkedin: CarbonIconType;
export const LogoLivestream: CarbonIconType;
export const LogoMastodon: CarbonIconType;
export const LogoMedium: CarbonIconType;
export const LogoNpm: CarbonIconType;
export const LogoOpenshift: CarbonIconType;
export const LogoPinterest: CarbonIconType;
export const LogoPython: CarbonIconType;
export const LogoQuora: CarbonIconType;
export const LogoRScript: CarbonIconType;
export const LogoReact: CarbonIconType;
export const LogoRedHatAnsible: CarbonIconType;
export const LogoSketch: CarbonIconType;
export const LogoSkype: CarbonIconType;
export const LogoSlack: CarbonIconType;
export const LogoSnapchat: CarbonIconType;
export const LogoSvelte: CarbonIconType;
export const LogoTumblr: CarbonIconType;
export const LogoTwitter: CarbonIconType;
export const LogoVmware: CarbonIconType;
export const LogoVmwareAlt: CarbonIconType;
export const LogoVue: CarbonIconType;
export const LogoWechat: CarbonIconType;
export const LogoXing: CarbonIconType;
export const LogoYelp: CarbonIconType;
export const LogoYoutube: CarbonIconType;
export const Logout: CarbonIconType;
export const Loop: CarbonIconType;
export const LowSeverityGlyph: CarbonIconType;
export const MacCommand: CarbonIconType;
export const MacOption: CarbonIconType;
export const MacShift: CarbonIconType;
export const MachineLearning: CarbonIconType;
export const MachineLearningModel: CarbonIconType;
export const MagicWand: CarbonIconType;
export const MagicWandFilled: CarbonIconType;
export const WatsonHealthMagnify: CarbonIconType;
export const MailAll: CarbonIconType;
export const MailReply: CarbonIconType;
export const WatsonHealthMammogram: CarbonIconType;
export const ManageProtection: CarbonIconType;
export const ManagedSolutions: CarbonIconType;
export const Map: CarbonIconType;
export const MapCenter: CarbonIconType;
export const MapIdentify: CarbonIconType;
export const MapBoundary: CarbonIconType;
export const MapBoundaryVegetation: CarbonIconType;
export const MarineWarning: CarbonIconType;
export const MathCurve: CarbonIconType;
export const QMatrix: CarbonIconType;
export const Maximize: CarbonIconType;
export const MediaLibrary: CarbonIconType;
export const MediaLibraryFilled: CarbonIconType;
export const MediaCast: CarbonIconType;
export const Medication: CarbonIconType;
export const MedicationAlert: CarbonIconType;
export const MedicationReminder: CarbonIconType;
export const Menu: CarbonIconType;
export const MessageQueue: CarbonIconType;
export const Meter: CarbonIconType;
export const MeterAlt: CarbonIconType;
export const Microphone: CarbonIconType;
export const MicrophoneFilled: CarbonIconType;
export const MicrophoneOff: CarbonIconType;
export const MicrophoneOffFilled: CarbonIconType;
export const Microscope: CarbonIconType;
export const Microservices_1: CarbonIconType;
export const Microservices_2: CarbonIconType;
export const Migrate: CarbonIconType;
export const MigrateAlt: CarbonIconType;
export const Milestone: CarbonIconType;
export const MilitaryCamp: CarbonIconType;
export const Minimize: CarbonIconType;
export const Misuse: CarbonIconType;
export const MisuseOutline: CarbonIconType;
export const MixedRainHail: CarbonIconType;
export const Mobile: CarbonIconType;
export const MobileAdd: CarbonIconType;
export const MobileAudio: CarbonIconType;
export const MobileCheck: CarbonIconType;
export const MobileDownload: CarbonIconType;
export const MobileLandscape: CarbonIconType;
export const MobilityServices: CarbonIconType;
export const Model: CarbonIconType;
export const ModelAlt: CarbonIconType;
export const ModelReference: CarbonIconType;
export const ModelBuilder: CarbonIconType;
export const ModelBuilderReference: CarbonIconType;
export const Money: CarbonIconType;
export const Monster: CarbonIconType;
export const Monument: CarbonIconType;
export const Moon: CarbonIconType;
export const Moonrise: CarbonIconType;
export const Moonset: CarbonIconType;
export const MostlyCloudy: CarbonIconType;
export const MostlyCloudyNight: CarbonIconType;
export const Mountain: CarbonIconType;
export const Mov: CarbonIconType;
export const Move: CarbonIconType;
export const Movement: CarbonIconType;
export const Mp3: CarbonIconType;
export const Mp4: CarbonIconType;
export const Mpeg: CarbonIconType;
export const Mpg2: CarbonIconType;
export const Music: CarbonIconType;
export const MusicAdd: CarbonIconType;
export const MusicRemove: CarbonIconType;
export const NameSpace: CarbonIconType;
export const NavaidCivil: CarbonIconType;
export const NavaidDme: CarbonIconType;
export const NavaidHelipad: CarbonIconType;
export const NavaidMilitary: CarbonIconType;
export const NavaidMilitaryCivil: CarbonIconType;
export const NavaidNdb: CarbonIconType;
export const NavaidNdbDme: CarbonIconType;
export const NavaidPrivate: CarbonIconType;
export const NavaidSeaplane: CarbonIconType;
export const NavaidTacan: CarbonIconType;
export const NavaidVhfor: CarbonIconType;
export const NavaidVor: CarbonIconType;
export const NavaidVordme: CarbonIconType;
export const NavaidVortac: CarbonIconType;
export const Need: CarbonIconType;
export const Network_1: CarbonIconType;
export const Network_2: CarbonIconType;
export const Network_3: CarbonIconType;
export const Network_3Reference: CarbonIconType;
export const Network_4: CarbonIconType;
export const Network_4Reference: CarbonIconType;
export const NetworkAdminControl: CarbonIconType;
export const NetworkEnterprise: CarbonIconType;
export const NetworkOverlay: CarbonIconType;
export const NetworkPublic: CarbonIconType;
export const NewTab: CarbonIconType;
export const NextFilled: CarbonIconType;
export const NextOutline: CarbonIconType;
export const NoImage: CarbonIconType;
export const NoTicket: CarbonIconType;
export const Nominal: CarbonIconType;
export const WatsonHealthNominate: CarbonIconType;
export const NonCertified: CarbonIconType;
export const NoodleBowl: CarbonIconType;
export const NotAvailable: CarbonIconType;
export const NotSent: CarbonIconType;
export const NotSentFilled: CarbonIconType;
export const Notebook: CarbonIconType;
export const NotebookReference: CarbonIconType;
export const Notification: CarbonIconType;
export const NotificationFilled: CarbonIconType;
export const NotificationNew: CarbonIconType;
export const NotificationOff: CarbonIconType;
export const NotificationOffFilled: CarbonIconType;
export const Number_0: CarbonIconType;
export const Number_1: CarbonIconType;
export const Number_2: CarbonIconType;
export const Number_3: CarbonIconType;
export const Number_4: CarbonIconType;
export const Number_5: CarbonIconType;
export const Number_6: CarbonIconType;
export const Number_7: CarbonIconType;
export const Number_8: CarbonIconType;
export const Number_9: CarbonIconType;
export const NumberSmall_0: CarbonIconType;
export const NumberSmall_1: CarbonIconType;
export const NumberSmall_2: CarbonIconType;
export const NumberSmall_3: CarbonIconType;
export const NumberSmall_4: CarbonIconType;
export const NumberSmall_5: CarbonIconType;
export const NumberSmall_6: CarbonIconType;
export const NumberSmall_7: CarbonIconType;
export const NumberSmall_8: CarbonIconType;
export const NumberSmall_9: CarbonIconType;
export const ObjectStorage: CarbonIconType;
export const ObjectStorageAlt: CarbonIconType;
export const ObservedHail: CarbonIconType;
export const ObservedLightning: CarbonIconType;
export const Omega: CarbonIconType;
export const Opacity: CarbonIconType;
export const OpenPanelBottom: CarbonIconType;
export const OpenPanelFilledBottom: CarbonIconType;
export const OpenPanelFilledLeft: CarbonIconType;
export const OpenPanelFilledRight: CarbonIconType;
export const OpenPanelFilledTop: CarbonIconType;
export const OpenPanelLeft: CarbonIconType;
export const OpenPanelRight: CarbonIconType;
export const OpenPanelTop: CarbonIconType;
export const QOperation: CarbonIconType;
export const QOperationGauge: CarbonIconType;
export const QOperationIf: CarbonIconType;
export const OperationsField: CarbonIconType;
export const OperationsRecord: CarbonIconType;
export const OrderDetails: CarbonIconType;
export const Ordinal: CarbonIconType;
export const Outage: CarbonIconType;
export const OutlookSevere: CarbonIconType;
export const OverflowMenuHorizontal: CarbonIconType;
export const OverflowMenuVertical: CarbonIconType;
export const Overlay: CarbonIconType;
export const Package: CarbonIconType;
export const PackageTextAnalysis: CarbonIconType;
export const PageFirst: CarbonIconType;
export const PageLast: CarbonIconType;
export const PageBreak: CarbonIconType;
export const PageNumber: CarbonIconType;
export const WatsonHealthPageScroll: CarbonIconType;
export const PaintBrush: CarbonIconType;
export const PaintBrushAlt: CarbonIconType;
export const PalmTree: CarbonIconType;
export const PanHorizontal: CarbonIconType;
export const PanVertical: CarbonIconType;
export const PanelExpansion: CarbonIconType;
export const Paragraph: CarbonIconType;
export const Parameter: CarbonIconType;
export const ParentChild: CarbonIconType;
export const PartitionAuto: CarbonIconType;
export const PartitionCollection: CarbonIconType;
export const PartitionRepartition: CarbonIconType;
export const PartitionSame: CarbonIconType;
export const PartitionSpecific: CarbonIconType;
export const PartlyCloudy: CarbonIconType;
export const PartlyCloudyNight: CarbonIconType;
export const Partnership: CarbonIconType;
export const PassengerDrinks: CarbonIconType;
export const PassengerPlus: CarbonIconType;
export const Password: CarbonIconType;
export const Paste: CarbonIconType;
export const Pause: CarbonIconType;
export const PauseFilled: CarbonIconType;
export const PauseOutline: CarbonIconType;
export const PauseOutlineFilled: CarbonIconType;
export const PauseFuture: CarbonIconType;
export const PausePast: CarbonIconType;
export const PcnENode: CarbonIconType;
export const PcnMilitary: CarbonIconType;
export const PcnPNode: CarbonIconType;
export const PcnZNode: CarbonIconType;
export const Pdf: CarbonIconType;
export const PdfReference: CarbonIconType;
export const Pedestrian: CarbonIconType;
export const PedestrianFamily: CarbonIconType;
export const PedestrianChild: CarbonIconType;
export const Pen: CarbonIconType;
export const PenFountain: CarbonIconType;
export const Pending: CarbonIconType;
export const PendingFilled: CarbonIconType;
export const Percentage: CarbonIconType;
export const PercentageFilled: CarbonIconType;
export const Person: CarbonIconType;
export const PersonFavorite: CarbonIconType;
export const Pest: CarbonIconType;
export const WatsonHealthPetImageB: CarbonIconType;
export const WatsonHealthPetImageO: CarbonIconType;
export const Phone: CarbonIconType;
export const PhoneApplication: CarbonIconType;
export const PhoneBlock: CarbonIconType;
export const PhoneBlockFilled: CarbonIconType;
export const PhoneFilled: CarbonIconType;
export const PhoneIncoming: CarbonIconType;
export const PhoneIncomingFilled: CarbonIconType;
export const PhoneIp: CarbonIconType;
export const PhoneOff: CarbonIconType;
export const PhoneOffFilled: CarbonIconType;
export const PhoneOutgoing: CarbonIconType;
export const PhoneOutgoingFilled: CarbonIconType;
export const PhoneSettings: CarbonIconType;
export const PhoneVoice: CarbonIconType;
export const PhoneVoiceFilled: CarbonIconType;
export const PhraseSentiment: CarbonIconType;
export const PicnicArea: CarbonIconType;
export const PiggyBank: CarbonIconType;
export const PiggyBankSlot: CarbonIconType;
export const Pills: CarbonIconType;
export const PillsAdd: CarbonIconType;
export const PillsSubtract: CarbonIconType;
export const Pin: CarbonIconType;
export const PinFilled: CarbonIconType;
export const Plan: CarbonIconType;
export const Plane: CarbonIconType;
export const PlanePrivate: CarbonIconType;
export const PlaneSea: CarbonIconType;
export const Play: CarbonIconType;
export const PlayFilled: CarbonIconType;
export const PlayFilledAlt: CarbonIconType;
export const PlayOutline: CarbonIconType;
export const PlayOutlineFilled: CarbonIconType;
export const Playlist: CarbonIconType;
export const Plug: CarbonIconType;
export const PlugFilled: CarbonIconType;
export const Png: CarbonIconType;
export const PointOfPresence: CarbonIconType;
export const WatsonHealthPointerText: CarbonIconType;
export const Police: CarbonIconType;
export const Policy: CarbonIconType;
export const Popup: CarbonIconType;
export const PortInput: CarbonIconType;
export const PortOutput: CarbonIconType;
export const Portfolio: CarbonIconType;
export const Power: CarbonIconType;
export const Ppt: CarbonIconType;
export const PresentationFile: CarbonIconType;
export const Pressure: CarbonIconType;
export const PressureFilled: CarbonIconType;
export const PreviousFilled: CarbonIconType;
export const PreviousOutline: CarbonIconType;
export const Printer: CarbonIconType;
export const Product: CarbonIconType;
export const ProgressBar: CarbonIconType;
export const ProgressBarRound: CarbonIconType;
export const Promote: CarbonIconType;
export const PropertyRelationship: CarbonIconType;
export const Purchase: CarbonIconType;
export const WatsonHealthQcLaunch: CarbonIconType;
export const QqPlot: CarbonIconType;
export const QrCode: CarbonIconType;
export const QuadrantPlot: CarbonIconType;
export const Query: CarbonIconType;
export const QueryQueue: CarbonIconType;
export const Queued: CarbonIconType;
export const Quotes: CarbonIconType;
export const Radar: CarbonIconType;
export const RadarEnhanced: CarbonIconType;
export const RadarWeather: CarbonIconType;
export const Radio: CarbonIconType;
export const RadioCombat: CarbonIconType;
export const RadioPushToTalk: CarbonIconType;
export const RadioButton: CarbonIconType;
export const RadioButtonChecked: CarbonIconType;
export const Rain: CarbonIconType;
export const RainDrizzle: CarbonIconType;
export const RainHeavy: CarbonIconType;
export const RainScattered: CarbonIconType;
export const RainScatteredNight: CarbonIconType;
export const RainDrop: CarbonIconType;
export const Raw: CarbonIconType;
export const Receipt: CarbonIconType;
export const RecentlyViewed: CarbonIconType;
export const Recommend: CarbonIconType;
export const Recording: CarbonIconType;
export const RecordingFilled: CarbonIconType;
export const RecordingFilledAlt: CarbonIconType;
export const Recycle: CarbonIconType;
export const Redo: CarbonIconType;
export const RefEvapotranspiration: CarbonIconType;
export const ReferenceArchitecture: CarbonIconType;
export const ReflectHorizontal: CarbonIconType;
export const ReflectVertical: CarbonIconType;
export const WatsonHealthRegionAnalysisArea: CarbonIconType;
export const WatsonHealthRegionAnalysisVolume: CarbonIconType;
export const WatsonHealthRegistration: CarbonIconType;
export const Reminder: CarbonIconType;
export const ReminderMedical: CarbonIconType;
export const Renew: CarbonIconType;
export const Repeat: CarbonIconType;
export const RepeatOne: CarbonIconType;
export const Replicate: CarbonIconType;
export const Reply: CarbonIconType;
export const ReplyAll: CarbonIconType;
export const RepoArtifact: CarbonIconType;
export const RepoSourceCode: CarbonIconType;
export const Report: CarbonIconType;
export const ReportData: CarbonIconType;
export const RequestQuote: CarbonIconType;
export const Reset: CarbonIconType;
export const ResetAlt: CarbonIconType;
export const Restart: CarbonIconType;
export const Restaurant: CarbonIconType;
export const RestaurantFine: CarbonIconType;
export const Result: CarbonIconType;
export const ResultDraft: CarbonIconType;
export const ResultNew: CarbonIconType;
export const ResultOld: CarbonIconType;
export const RetryFailed: CarbonIconType;
export const Review: CarbonIconType;
export const Rewind_10: CarbonIconType;
export const Rewind_30: CarbonIconType;
export const Rewind_5: CarbonIconType;
export const Road: CarbonIconType;
export const RoadWeather: CarbonIconType;
export const Roadmap: CarbonIconType;
export const Rocket: CarbonIconType;
export const Rotate: CarbonIconType;
export const WatsonHealthRotate_180: CarbonIconType;
export const WatsonHealthRotate_360: CarbonIconType;
export const RotateClockwise: CarbonIconType;
export const RotateClockwiseAlt: CarbonIconType;
export const RotateClockwiseAltFilled: CarbonIconType;
export const RotateClockwiseFilled: CarbonIconType;
export const RotateCounterclockwise: CarbonIconType;
export const RotateCounterclockwiseAlt: CarbonIconType;
export const RotateCounterclockwiseAltFilled: CarbonIconType;
export const RotateCounterclockwiseFilled: CarbonIconType;
export const Router: CarbonIconType;
export const RouterVoice: CarbonIconType;
export const RouterWifi: CarbonIconType;
export const Row: CarbonIconType;
export const RowCollapse: CarbonIconType;
export const RowDelete: CarbonIconType;
export const RowExpand: CarbonIconType;
export const RowInsert: CarbonIconType;
export const Rss: CarbonIconType;
export const Rule: CarbonIconType;
export const RuleCancelled: CarbonIconType;
export const RuleDataQuality: CarbonIconType;
export const RuleDraft: CarbonIconType;
export const RuleFilled: CarbonIconType;
export const RuleLocked: CarbonIconType;
export const RulePartial: CarbonIconType;
export const RuleTest: CarbonIconType;
export const Ruler: CarbonIconType;
export const RulerAlt: CarbonIconType;
export const Run: CarbonIconType;
export const RunMirror: CarbonIconType;
export const QS: CarbonIconType;
export const QSAlt: CarbonIconType;
export const SailboatCoastal: CarbonIconType;
export const SailboatOffshore: CarbonIconType;
export const SankeyDiagram: CarbonIconType;
export const SankeyDiagramAlt: CarbonIconType;
export const Satellite: CarbonIconType;
export const SatelliteRadar: CarbonIconType;
export const SatelliteWeather: CarbonIconType;
export const Save: CarbonIconType;
export const WatsonHealthSaveAnnotation: CarbonIconType;
export const WatsonHealthSaveImage: CarbonIconType;
export const SaveModel: CarbonIconType;
export const WatsonHealthSaveSeries: CarbonIconType;
export const Scale: CarbonIconType;
export const Scales: CarbonIconType;
export const ScalesTipped: CarbonIconType;
export const Scalpel: CarbonIconType;
export const WatsonHealthScalpelCursor: CarbonIconType;
export const WatsonHealthScalpelLasso: CarbonIconType;
export const WatsonHealthScalpelSelect: CarbonIconType;
export const Scan: CarbonIconType;
export const ScanAlt: CarbonIconType;
export const ScanDisabled: CarbonIconType;
export const ScatterMatrix: CarbonIconType;
export const Schematics: CarbonIconType;
export const ScisControlTower: CarbonIconType;
export const ScisTransparentSupply: CarbonIconType;
export const Scooter: CarbonIconType;
export const ScooterFront: CarbonIconType;
export const Screen: CarbonIconType;
export const ScreenOff: CarbonIconType;
export const ScreenMap: CarbonIconType;
export const ScreenMapSet: CarbonIconType;
export const Script: CarbonIconType;
export const ScriptReference: CarbonIconType;
export const Sdk: CarbonIconType;
export const Search: CarbonIconType;
export const SearchAdvanced: CarbonIconType;
export const SearchLocate: CarbonIconType;
export const SearchLocateMirror: CarbonIconType;
export const Security: CarbonIconType;
export const SecurityServices: CarbonIconType;
export const Select_01: CarbonIconType;
export const Select_02: CarbonIconType;
export const SelectWindow: CarbonIconType;
export const Send: CarbonIconType;
export const SendAlt: CarbonIconType;
export const SendAltFilled: CarbonIconType;
export const SendFilled: CarbonIconType;
export const SendBackward: CarbonIconType;
export const SendToBack: CarbonIconType;
export const ServerDns: CarbonIconType;
export const ServerProxy: CarbonIconType;
export const ServerTime: CarbonIconType;
export const ServiceDesk: CarbonIconType;
export const ServiceId: CarbonIconType;
export const SessionBorderControl: CarbonIconType;
export const Settings: CarbonIconType;
export const SettingsAdjust: CarbonIconType;
export const SettingsCheck: CarbonIconType;
export const SettingsServices: CarbonIconType;
export const SettingsView: CarbonIconType;
export const ShapeExcept: CarbonIconType;
export const ShapeExclude: CarbonIconType;
export const ShapeIntersect: CarbonIconType;
export const ShapeJoin: CarbonIconType;
export const ShapeUnite: CarbonIconType;
export const Share: CarbonIconType;
export const ShareKnowledge: CarbonIconType;
export const ShoppingBag: CarbonIconType;
export const ShoppingCart: CarbonIconType;
export const ShoppingCartArrowDown: CarbonIconType;
export const ShoppingCartArrowUp: CarbonIconType;
export const ShoppingCartClear: CarbonIconType;
export const ShoppingCartError: CarbonIconType;
export const ShoppingCartMinus: CarbonIconType;
export const ShoppingCartPlus: CarbonIconType;
export const ShoppingCatalog: CarbonIconType;
export const ShowDataCards: CarbonIconType;
export const ShrinkScreen: CarbonIconType;
export const ShrinkScreenFilled: CarbonIconType;
export const Shuffle: CarbonIconType;
export const Shuttle: CarbonIconType;
export const SidePanelClose: CarbonIconType;
export const SidePanelCloseFilled: CarbonIconType;
export const SidePanelOpen: CarbonIconType;
export const SidePanelOpenFilled: CarbonIconType;
export const Sight: CarbonIconType;
export const Sigma: CarbonIconType;
export const SignalStrength: CarbonIconType;
export const SimCard: CarbonIconType;
export const SkillLevel: CarbonIconType;
export const SkillLevelAdvanced: CarbonIconType;
export const SkillLevelBasic: CarbonIconType;
export const SkillLevelIntermediate: CarbonIconType;
export const SkipBack: CarbonIconType;
export const SkipBackFilled: CarbonIconType;
export const SkipBackOutline: CarbonIconType;
export const SkipBackOutlineFilled: CarbonIconType;
export const SkipBackOutlineSolid: CarbonIconType;
export const SkipBackSolidFilled: CarbonIconType;
export const SkipForward: CarbonIconType;
export const SkipForwardFilled: CarbonIconType;
export const SkipForwardOutline: CarbonIconType;
export const SkipForwardOutlineFilled: CarbonIconType;
export const SkipForwardOutlineSolid: CarbonIconType;
export const SkipForwardSolidFilled: CarbonIconType;
export const Sleet: CarbonIconType;
export const Slisor: CarbonIconType;
export const Slm: CarbonIconType;
export const Smell: CarbonIconType;
export const Smoke: CarbonIconType;
export const WatsonHealthSmoothing: CarbonIconType;
export const WatsonHealthSmoothingCursor: CarbonIconType;
export const Snooze: CarbonIconType;
export const Snow: CarbonIconType;
export const SnowBlizzard: CarbonIconType;
export const SnowHeavy: CarbonIconType;
export const SnowScattered: CarbonIconType;
export const SnowScatteredNight: CarbonIconType;
export const SnowDensity: CarbonIconType;
export const Snowflake: CarbonIconType;
export const Soccer: CarbonIconType;
export const SoftwareResource: CarbonIconType;
export const SoftwareResourceCluster: CarbonIconType;
export const SoftwareResourceResource: CarbonIconType;
export const SoilMoisture: CarbonIconType;
export const SoilMoistureField: CarbonIconType;
export const SoilMoistureGlobal: CarbonIconType;
export const SoilTemperature: CarbonIconType;
export const SoilTemperatureField: CarbonIconType;
export const SoilTemperatureGlobal: CarbonIconType;
export const SolarPanel: CarbonIconType;
export const SortAscending: CarbonIconType;
export const SortDescending: CarbonIconType;
export const SortRemove: CarbonIconType;
export const SpellCheck: CarbonIconType;
export const WatsonHealthSpineLabel: CarbonIconType;
export const Split: CarbonIconType;
export const WatsonHealthSplitDiscard: CarbonIconType;
export const SplitScreen: CarbonIconType;
export const SprayPaint: CarbonIconType;
export const Sprout: CarbonIconType;
export const Sql: CarbonIconType;
export const SquareFillGlyph: CarbonIconType;
export const StackLimitation: CarbonIconType;
export const WatsonHealthStackedMove: CarbonIconType;
export const WatsonHealthStackedScrolling_1: CarbonIconType;
export const WatsonHealthStackedScrolling_2: CarbonIconType;
export const Stamp: CarbonIconType;
export const Star: CarbonIconType;
export const StarFilled: CarbonIconType;
export const StarHalf: CarbonIconType;
export const StarReview: CarbonIconType;
export const WatsonHealthStatusAcknowledge: CarbonIconType;
export const WatsonHealthStatusChange: CarbonIconType;
export const WatsonHealthStatusPartialFail: CarbonIconType;
export const WatsonHealthStatusResolved: CarbonIconType;
export const StayInside: CarbonIconType;
export const StemLeafPlot: CarbonIconType;
export const Stethoscope: CarbonIconType;
export const Stop: CarbonIconType;
export const StopFilled: CarbonIconType;
export const StopFilledAlt: CarbonIconType;
export const StopOutline: CarbonIconType;
export const StopOutlineFilled: CarbonIconType;
export const StopSign: CarbonIconType;
export const StopSignFilled: CarbonIconType;
export const StoragePool: CarbonIconType;
export const StorageRequest: CarbonIconType;
export const Store: CarbonIconType;
export const StormTracker: CarbonIconType;
export const Strawberry: CarbonIconType;
export const WatsonHealthStressBreathEditor: CarbonIconType;
export const StringInteger: CarbonIconType;
export const StringText: CarbonIconType;
export const WatsonHealthStudyNext: CarbonIconType;
export const WatsonHealthStudyPrevious: CarbonIconType;
export const WatsonHealthStudyRead: CarbonIconType;
export const WatsonHealthStudySkip: CarbonIconType;
export const WatsonHealthStudyTransfer: CarbonIconType;
export const WatsonHealthStudyUnread: CarbonIconType;
export const WatsonHealthStudyView: CarbonIconType;
export const WatsonHealthSubVolume: CarbonIconType;
export const Subflow: CarbonIconType;
export const SubflowLocal: CarbonIconType;
export const SubnetAclRules: CarbonIconType;
export const Subtract: CarbonIconType;
export const SubtractAlt: CarbonIconType;
export const SummaryKpi: CarbonIconType;
export const SummaryKpiMirror: CarbonIconType;
export const Sun: CarbonIconType;
export const Sunrise: CarbonIconType;
export const Sunset: CarbonIconType;
export const SupportVectorMachine: CarbonIconType;
export const Svg: CarbonIconType;
export const Swim: CarbonIconType;
export const SwitchLayer_2: CarbonIconType;
export const SwitchLayer_3: CarbonIconType;
export const Switcher: CarbonIconType;
export const SysProvision: CarbonIconType;
export const QT: CarbonIconType;
export const QTAlt: CarbonIconType;
export const Table: CarbonIconType;
export const TableAlias: CarbonIconType;
export const TableBuilt: CarbonIconType;
export const TableShortcut: CarbonIconType;
export const TableSplit: CarbonIconType;
export const TableOfContents: CarbonIconType;
export const Tablet: CarbonIconType;
export const TabletLandscape: CarbonIconType;
export const Tag: CarbonIconType;
export const TagEdit: CarbonIconType;
export const TagExport: CarbonIconType;
export const TagGroup: CarbonIconType;
export const TagImport: CarbonIconType;
export const TagNone: CarbonIconType;
export const Tank: CarbonIconType;
export const Task: CarbonIconType;
export const TaskAdd: CarbonIconType;
export const TaskApproved: CarbonIconType;
export const TaskAssetView: CarbonIconType;
export const TaskComplete: CarbonIconType;
export const TaskLocation: CarbonIconType;
export const TaskRemove: CarbonIconType;
export const TaskSettings: CarbonIconType;
export const TaskStar: CarbonIconType;
export const TaskTools: CarbonIconType;
export const TaskView: CarbonIconType;
export const Taste: CarbonIconType;
export const Taxi: CarbonIconType;
export const TcpIpService: CarbonIconType;
export const Temperature: CarbonIconType;
export const TemperatureCelsius: CarbonIconType;
export const TemperatureCelsiusAlt: CarbonIconType;
export const TemperatureFahrenheit: CarbonIconType;
export const TemperatureFahrenheitAlt: CarbonIconType;
export const TemperatureFeelsLike: CarbonIconType;
export const TemperatureFrigid: CarbonIconType;
export const TemperatureHot: CarbonIconType;
export const TemperatureInversion: CarbonIconType;
export const TemperatureMax: CarbonIconType;
export const TemperatureMin: CarbonIconType;
export const TemperatureWater: CarbonIconType;
export const Template: CarbonIconType;
export const Tennis: CarbonIconType;
export const TennisBall: CarbonIconType;
export const Term: CarbonIconType;
export const Terminal: CarbonIconType;
export const Terminal_3270: CarbonIconType;
export const TestTool: CarbonIconType;
export const TextAlignCenter: CarbonIconType;
export const TextAlignJustify: CarbonIconType;
export const TextAlignLeft: CarbonIconType;
export const TextAlignMixed: CarbonIconType;
export const TextAlignRight: CarbonIconType;
export const TextAllCaps: CarbonIconType;
export const TextBold: CarbonIconType;
export const TextClearFormat: CarbonIconType;
export const TextColor: CarbonIconType;
export const TextCreation: CarbonIconType;
export const TextFill: CarbonIconType;
export const TextFont: CarbonIconType;
export const TextFootnote: CarbonIconType;
export const TextHighlight: CarbonIconType;
export const TextIndent: CarbonIconType;
export const TextIndentLess: CarbonIconType;
export const TextIndentMore: CarbonIconType;
export const TextItalic: CarbonIconType;
export const TextKerning: CarbonIconType;
export const TextLeading: CarbonIconType;
export const TextLineSpacing: CarbonIconType;
export const TextNewLine: CarbonIconType;
export const TextScale: CarbonIconType;
export const TextSelection: CarbonIconType;
export const TextSmallCaps: CarbonIconType;
export const TextStrikethrough: CarbonIconType;
export const TextSubscript: CarbonIconType;
export const TextSuperscript: CarbonIconType;
export const TextTracking: CarbonIconType;
export const TextUnderline: CarbonIconType;
export const TextVerticalAlignment: CarbonIconType;
export const TextWrap: CarbonIconType;
export const WatsonHealthTextAnnotationToggle: CarbonIconType;
export const TextLink: CarbonIconType;
export const TextLinkAnalysis: CarbonIconType;
export const TextMining: CarbonIconType;
export const TextMiningApplier: CarbonIconType;
export const Theater: CarbonIconType;
export const ThisSideUp: CarbonIconType;
export const WatsonHealthThreshold: CarbonIconType;
export const Thumbnail_1: CarbonIconType;
export const Thumbnail_2: CarbonIconType;
export const WatsonHealthThumbnailPreview: CarbonIconType;
export const ThumbsDown: CarbonIconType;
export const ThumbsDownFilled: CarbonIconType;
export const ThumbsUp: CarbonIconType;
export const ThumbsUpFilled: CarbonIconType;
export const Thunderstorm: CarbonIconType;
export const ThunderstormScattered: CarbonIconType;
export const ThunderstormScatteredNight: CarbonIconType;
export const ThunderstormSevere: CarbonIconType;
export const ThunderstormStrong: CarbonIconType;
export const Ticket: CarbonIconType;
export const Tides: CarbonIconType;
export const Tif: CarbonIconType;
export const Time: CarbonIconType;
export const TimePlot: CarbonIconType;
export const Timer: CarbonIconType;
export const ToolBox: CarbonIconType;
export const ToolKit: CarbonIconType;
export const Tools: CarbonIconType;
export const ToolsAlt: CarbonIconType;
export const Tornado: CarbonIconType;
export const TornadoWarning: CarbonIconType;
export const Touch_1: CarbonIconType;
export const Touch_1Filled: CarbonIconType;
export const Touch_1Down: CarbonIconType;
export const Touch_1DownFilled: CarbonIconType;
export const Touch_2: CarbonIconType;
export const Touch_2Filled: CarbonIconType;
export const TouchInteraction: CarbonIconType;
export const TrafficEvent: CarbonIconType;
export const TrafficFlow: CarbonIconType;
export const TrafficFlowIncident: CarbonIconType;
export const TrafficIncident: CarbonIconType;
export const TrafficWeatherIncident: CarbonIconType;
export const TrafficCone: CarbonIconType;
export const Train: CarbonIconType;
export const TrainHeart: CarbonIconType;
export const TrainProfile: CarbonIconType;
export const TrainSpeed: CarbonIconType;
export const TrainTicket: CarbonIconType;
export const TrainTime: CarbonIconType;
export const Tram: CarbonIconType;
export const TransformBinary: CarbonIconType;
export const TransformInstructions: CarbonIconType;
export const TransformLanguage: CarbonIconType;
export const Transgender: CarbonIconType;
export const Translate: CarbonIconType;
export const TransmissionLte: CarbonIconType;
export const Transpose: CarbonIconType;
export const TrashCan: CarbonIconType;
export const Tree: CarbonIconType;
export const TreeFallRisk: CarbonIconType;
export const TreeView: CarbonIconType;
export const TreeViewAlt: CarbonIconType;
export const Trophy: CarbonIconType;
export const TrophyFilled: CarbonIconType;
export const TropicalStorm: CarbonIconType;
export const TropicalStormModelTracks: CarbonIconType;
export const TropicalStormTracks: CarbonIconType;
export const TropicalWarning: CarbonIconType;
export const Tsq: CarbonIconType;
export const Tsunami: CarbonIconType;
export const Tsv: CarbonIconType;
export const TwoFactorAuthentication: CarbonIconType;
export const TwoPersonLift: CarbonIconType;
export const Txt: CarbonIconType;
export const TxtReference: CarbonIconType;
export const TypePattern: CarbonIconType;
export const Types: CarbonIconType;
export const QU1: CarbonIconType;
export const QU2: CarbonIconType;
export const QU3: CarbonIconType;
export const Umbrella: CarbonIconType;
export const Undefined: CarbonIconType;
export const UndefinedFilled: CarbonIconType;
export const Undo: CarbonIconType;
export const UngroupObjects: CarbonIconType;
export const Unknown: CarbonIconType;
export const UnknownFilled: CarbonIconType;
export const Unlink: CarbonIconType;
export const Unlocked: CarbonIconType;
export const Unsaved: CarbonIconType;
export const UpToTop: CarbonIconType;
export const UpdateNow: CarbonIconType;
export const Upgrade: CarbonIconType;
export const Upload: CarbonIconType;
export const Usb: CarbonIconType;
export const User: CarbonIconType;
export const UserAccess: CarbonIconType;
export const UserActivity: CarbonIconType;
export const UserAdmin: CarbonIconType;
export const UserAvatar: CarbonIconType;
export const UserAvatarFilled: CarbonIconType;
export const UserAvatarFilledAlt: CarbonIconType;
export const UserCertification: CarbonIconType;
export const UserData: CarbonIconType;
export const UserFavorite: CarbonIconType;
export const UserFavoriteAlt: CarbonIconType;
export const UserFavoriteAltFilled: CarbonIconType;
export const UserFilled: CarbonIconType;
export const UserFollow: CarbonIconType;
export const UserIdentification: CarbonIconType;
export const UserMilitary: CarbonIconType;
export const UserMultiple: CarbonIconType;
export const UserOnline: CarbonIconType;
export const UserProfile: CarbonIconType;
export const UserRole: CarbonIconType;
export const UserServiceDesk: CarbonIconType;
export const UserSettings: CarbonIconType;
export const UserSimulation: CarbonIconType;
export const UserSpeaker: CarbonIconType;
export const UserSponsor: CarbonIconType;
export const UserXRay: CarbonIconType;
export const UserProfileAlt: CarbonIconType;
export const UvIndex: CarbonIconType;
export const UvIndexAlt: CarbonIconType;
export const UvIndexFilled: CarbonIconType;
export const ValueVariable: CarbonIconType;
export const Van: CarbonIconType;
export const VegetationAsset: CarbonIconType;
export const VehicleApi: CarbonIconType;
export const VehicleConnected: CarbonIconType;
export const VehicleInsights: CarbonIconType;
export const VehicleServices: CarbonIconType;
export const Version: CarbonIconType;
export const VersionMajor: CarbonIconType;
export const VersionMinor: CarbonIconType;
export const VersionPatch: CarbonIconType;
export const VerticalView: CarbonIconType;
export const Video: CarbonIconType;
export const VideoAdd: CarbonIconType;
export const VideoChat: CarbonIconType;
export const VideoFilled: CarbonIconType;
export const VideoOff: CarbonIconType;
export const VideoOffFilled: CarbonIconType;
export const View: CarbonIconType;
export const ViewFilled: CarbonIconType;
export const ViewMode_1: CarbonIconType;
export const ViewMode_2: CarbonIconType;
export const ViewOff: CarbonIconType;
export const ViewOffFilled: CarbonIconType;
export const ViewNext: CarbonIconType;
export const VirtualColumn: CarbonIconType;
export const VirtualColumnKey: CarbonIconType;
export const VirtualDesktop: CarbonIconType;
export const VirtualMachine: CarbonIconType;
export const VirtualPrivateCloud: CarbonIconType;
export const VirtualPrivateCloudAlt: CarbonIconType;
export const VisualRecognition: CarbonIconType;
export const Vlan: CarbonIconType;
export const VlanIbm: CarbonIconType;
export const VmdkDisk: CarbonIconType;
export const VoiceActivate: CarbonIconType;
export const Voicemail: CarbonIconType;
export const VolumeBlockStorage: CarbonIconType;
export const VolumeDown: CarbonIconType;
export const VolumeDownAlt: CarbonIconType;
export const VolumeDownFilled: CarbonIconType;
export const VolumeDownFilledAlt: CarbonIconType;
export const VolumeFileStorage: CarbonIconType;
export const VolumeMute: CarbonIconType;
export const VolumeMuteFilled: CarbonIconType;
export const VolumeObjectStorage: CarbonIconType;
export const VolumeUp: CarbonIconType;
export const VolumeUpAlt: CarbonIconType;
export const VolumeUpFilled: CarbonIconType;
export const VolumeUpFilledAlt: CarbonIconType;
export const Vpn: CarbonIconType;
export const VpnConnection: CarbonIconType;
export const VpnPolicy: CarbonIconType;
export const Wallet: CarbonIconType;
export const Warning: CarbonIconType;
export const WarningAlt: CarbonIconType;
export const WarningAltFilled: CarbonIconType;
export const WarningAltInverted: CarbonIconType;
export const WarningAltInvertedFilled: CarbonIconType;
export const WarningFilled: CarbonIconType;
export const WarningHex: CarbonIconType;
export const WarningHexFilled: CarbonIconType;
export const WarningOther: CarbonIconType;
export const WarningSquare: CarbonIconType;
export const WarningSquareFilled: CarbonIconType;
export const Watch: CarbonIconType;
export const Watson: CarbonIconType;
export const WatsonMachineLearning: CarbonIconType;
export const WaveDirection: CarbonIconType;
export const WaveHeight: CarbonIconType;
export const WavePeriod: CarbonIconType;
export const WeatherFrontCold: CarbonIconType;
export const WeatherFrontStationary: CarbonIconType;
export const WeatherFrontWarm: CarbonIconType;
export const WeatherStation: CarbonIconType;
export const Webhook: CarbonIconType;
export const Websheet: CarbonIconType;
export const Wheat: CarbonIconType;
export const WhitePaper: CarbonIconType;
export const Wifi: CarbonIconType;
export const WifiController: CarbonIconType;
export const WifiNotSecure: CarbonIconType;
export const WifiOff: CarbonIconType;
export const WifiSecure: CarbonIconType;
export const WifiBridge: CarbonIconType;
export const WifiBridgeAlt: CarbonIconType;
export const Wikis: CarbonIconType;
export const WindGusts: CarbonIconType;
export const WindPower: CarbonIconType;
export const WindStream: CarbonIconType;
export const WatsonHealthWindowAuto: CarbonIconType;
export const WatsonHealthWindowBase: CarbonIconType;
export const WatsonHealthWindowBlackSaturation: CarbonIconType;
export const WatsonHealthWindowOverlay: CarbonIconType;
export const WatsonHealthWindowPreset: CarbonIconType;
export const Windy: CarbonIconType;
export const WindyDust: CarbonIconType;
export const WindySnow: CarbonIconType;
export const WindyStrong: CarbonIconType;
export const WinterWarning: CarbonIconType;
export const WintryMix: CarbonIconType;
export const WirelessCheckout: CarbonIconType;
export const Wmv: CarbonIconType;
export const WordCloud: CarbonIconType;
export const WorkflowAutomation: CarbonIconType;
export const Workspace: CarbonIconType;
export const WorkspaceImport: CarbonIconType;
export const Worship: CarbonIconType;
export const WorshipChristian: CarbonIconType;
export const WorshipJewish: CarbonIconType;
export const WorshipMuslim: CarbonIconType;
export const QX: CarbonIconType;
export const XAxis: CarbonIconType;
export const Xls: CarbonIconType;
export const Xml: CarbonIconType;
export const QY: CarbonIconType;
export const YAxis: CarbonIconType;
export const QZ: CarbonIconType;
export const ZLpar: CarbonIconType;
export const ZSystems: CarbonIconType;
export const ZAxis: CarbonIconType;
export const Zip: CarbonIconType;
export const ZipReference: CarbonIconType;
export const ZoomArea: CarbonIconType;
export const ZoomFit: CarbonIconType;
export const ZoomIn: CarbonIconType;
export const ZoomInArea: CarbonIconType;
export const ZoomOut: CarbonIconType;
export const ZoomOutArea: CarbonIconType;
export const ZoomReset: CarbonIconType;
export const WatsonHealthZoomPan: CarbonIconType;
export const Zos: CarbonIconType;
export const ZosSysplex: CarbonIconType;
