export default class SensorReportElement extends Entity {
    /**
     * Set the type property
     * @return the sensorReport instance
     */
    setType(type: string): SensorReportElement;

    /**
     * Getter for the type property
     */
    getType(): string;

    /**
     * Set the exception property
     * @return the sensorReport instance
     */
    setException(exception: string): SensorReportElement;

    /**
     * Getter for the exception property
     */
    getException(): string;

    /**
     * Set the deviceID property
     * @return the sensorReport instance
     */
    setDeviceID(deviceID: string): SensorReportElement;

    /**
     * Getter for the deviceID property
     */
    getDeviceID(): string;

    /**
     * Set the deviceMetadata property
     * @return the sensorReport instance
     */
    setDeviceMetadata(deviceMetadata: string): SensorReportElement;

    /**
     * Getter for the deviceMetadata property
     */
    getDeviceMetadata(): string;

    /**
     * Set the rawData property
     * @return the sensorReport instance
     */
    setRawData(rawData: string): SensorReportElement;

    /**
     * Getter for the rawData property
     */
    getRawData(): string;

    /**
     * Set the dataProcessingMethod property
     * @return the sensorReport instance
     */
    setDataProcessingMethod(dataProcessingMethod: string): SensorReportElement;

    /**
     * Getter for the dataProcessingMethod property
     */
    getDataProcessingMethod(): string;

    /**
     * Set the time property
     * @return the sensorReport instance
     */
    setTime(time: string): SensorReportElement;

    /**
     * Getter for the time property
     */
    getTime(): string;

    /**
     * Set the microorganism property
     * @return the sensorReport instance
     */
    setMicroorganism(microorganism: string): SensorReportElement;

    /**
     * Getter for the microorganism property
     */
    getMicroorganism(): string;

    /**
     * Set the chemicalSubstance property
     * @return the sensorReport instance
     */
    setChemicalSubstance(chemicalSubstance: string): SensorReportElement;

    /**
     * Getter for the chemicalSubstance property
     */
    getChemicalSubstance(): string;

    /**
     * Set the value property
     * @return the sensorReport instance
     */
    setValue(value: number): SensorReportElement;

    /**
     * Getter for the value property
     */
    getValue(): number;

    /**
     * Set the component property
     * @return the sensorReport instance
     */
    setComponent(component: string): SensorReportElement;

    /**
     * Getter for the component property
     */
    getComponent(): string;

    /**
     * Set the stringValue property
     * @return the sensorReport instance
     */
    setStringValue(stringValue: string): SensorReportElement;

    /**
     * Getter for the stringValue property
     */
    getStringValue(): string;

    /**
     * Set the booleanValue property
     * @return the sensorReport instance
     */
    setBooleanValue(booleanValue: boolean): SensorReportElement;

    /**
     * Getter for the booleanValue property
     */
    getBooleanValue(): boolean;

    /**
     * Set the hexBinaryValue property
     * @param hexBinaryValue - "^[A-Fa-f0-9]+$"
     * @return the sensorReport instance
     */
    setHexBinaryValue(hexBinaryValue: string): SensorReportElement;

    /**
     * Getter for the hexBinaryValue property
     */
    getHexBinaryValue(): string;

    /**
     * Set the uriValue property
     * @return the sensorReport instance
     */
    setUriValue(uriValue: string): SensorReportElement;

    /**
     * Getter for the uriValue property
     */
    getUriValue(): string;

    /**
     * Set the minValue property
     * @return the sensorReport instance
     */
    setMinValue(minValue: number): SensorReportElement;

    /**
     * Getter for the minValue property
     */
    getMinValue(): number;

    /**
     * Set the maxValue property
     * @return the sensorReport instance
     */
    setMaxValue(maxValue: number): SensorReportElement;

    /**
     * Getter for the maxValue property
     */
    getMaxValue(): number;

    /**
     * Set the meanValue property
     * @return the sensorReport instance
     */
    setMeanValue(meanValue: number): SensorReportElement;

    /**
     * Getter for the meanValue property
     */
    getMeanValue(): number;

    /**
     * Set the sDev property
     * @return the sensorReport instance
     */
    setSDev(sDev: number): SensorReportElement;

    /**
     * Getter for the sDev property
     */
    getSDev(): number;

    /**
     * Set the percRank property
     * @return the sensorReport instance
     */
    setPercRank(percRank: number): SensorReportElement;

    /**
     * Getter for the percRank property
     */
    getPercRank(): number;

    /**
     * Set the percValue property
     * @return the sensorReport instance
     */
    setPercValue(percValue: number): SensorReportElement;

    /**
     * Getter for the percValue property
     */
    getPercValue(): number;

    /**
     * Set the uom property
     * @return the sensorReport instance
     */
    setUom(uom: string): SensorReportElement;

    /**
     * Getter for the uom property
     */
    getUom(): string;

    /**
     * Set the coordinate Reference System property
     * @return the sensorReport instance
     */
    setCoordinateReferenceSystem(coordinateReferenceSystem: string): SensorReportElement;

    /**
     * Getter for the coordinate Reference System property
     */
    getCoordinateReferenceSystem(): string;
}
import Entity from "../../Entity";
